## org.eclipse.emf.ecore
Interface EcorePackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  EcorePackageImpl

    public interface EcorePackage

extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each interface,
- each operation of each class or interface,
- each enum,
- each literal of each enum,
- and each data type

See Also:
  `EcoreFactory`

Nested Class Summary
`static interface` `EcorePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static boolean` `_INTERNAL_BOOTSTRAP`
`static int` `EANNOTATION` The meta object id for the '`EAnnotation`' class
`static int` `EANNOTATION__CONTENTS` The feature id for the 'Contents' containment reference list
`static int` `EANNOTATION__DETAILS` The feature id for the 'Details' map
`static int` `EANNOTATION__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `EANNOTATION__EMODEL_ELEMENT` The feature id for the 'EModel Element' container reference
`static int` `EANNOTATION__REFERENCES` The feature id for the 'References' reference list
`static int` `EANNOTATION__SOURCE` The feature id for the 'Source' attribute
`static int` `EANNOTATION_FEATURE_COUNT` The number of structural features of the 'EAnnotation' class
`static int` `EATTRIBUTE` The meta object id for the '`EAttribute`' class
`static int` `EATTRIBUTE__CHANGEABLE` The feature id for the 'Changeable' attribute
`static int` `EATTRIBUTE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` `EATTRIBUTE__DEFAULT_VALUE_LITERAL` The feature id for the 'Default Value Literal' attribute
`static int` `EATTRIBUTE__DERIVED` The feature id for the 'Derived' attribute
`static int` `EATTRIBUTE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `EATTRIBUTE__EATTRIBUTE_TYPE` The feature id for the 'EAttribute Type' reference
`static int` `EATTRIBUTE__ECONTAINING_CLASS` The feature id for the 'EContaining Class' container reference
`static int` `EATTRIBUTE__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `EATTRIBUTE__ETYPE` The feature id for the 'EType' reference
`static int` `EATTRIBUTE__ID` The feature id for the 'ID' attribute
`static int` `EATTRIBUTE__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `EATTRIBUTE__MANY` The feature id for the 'Many' attribute
`static int` `EATTRIBUTE__NAME` The feature id for the 'Name' attribute
`static int` `EATTRIBUTE__ORDERED` The feature id for the 'Ordered' attribute
`static int` `EATTRIBUTE__REQUIRED` The feature id for the 'Required' attribute
`static int` `EATTRIBUTE__TRANSIENT` The feature id for the 'Transient' attribute
`static int` `EATTRIBUTE__UNIQUE` The feature id for the 'Unique' attribute
`static int` `EATTRIBUTE__UNSETTABLE` The feature id for the 'Unsettable' attribute
`static int` `EATTRIBUTE__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `EATTRIBUTE__VOLATILE` The feature id for the 'Volatile' attribute
`static int` `EATTRIBUTE_FEATURE_COUNT` The number of structural features of the 'EAttribute' class
`static int` `EBIG_DECIMAL` The meta object id for the 'EBig Decimal' data type
`static int` `EBIG_INTEGER` The meta object id for the 'EBig Integer' data type
`static int` `EBOOLEAN` The meta object id for the 'EBoolean' data type
`static int` `EBOOLEAN_OBJECT` The meta object id for the 'EBoolean Object' data type
`static int` `EBYTE` The meta object id for the 'EByte' data type
`static int` `EBYTE_ARRAY` The meta object id for the 'EByte Array' data type
`static int` `EBYTE_OBJECT` The meta object id for the 'EByte Object' data type
`static int` `ECHAR` The meta object id for the 'EChar' data type
`static int` `ECHARACTER_OBJECT` The meta object id for the 'ECharacter Object' data type
`static int` `ECLASS` The meta object id for the '`EClass`' class
`static int` `ECLASS__ABSTRACT` The feature id for the 'Abstract' attribute
`static int` `ECLASS__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` `ECLASS__EALL_ATTRIBUTES` The feature id for the 'EAll Attributes' reference list
`static int` `ECLASS__EALL_CONTAINMENTS` The feature id for the 'EAll Containments' reference list
`static int` `ECLASS__EALL_GENERIC_SUPER_TYPES` The feature id for the 'EAll Generic Super Types' reference list
`static int` `ECLASS__EALL_OPERATIONS` The feature id for the 'EAll Operations' reference list
`static int` `ECLASS__EALL_REFERENCES` The feature id for the 'EAll References' reference list
`static int` `ECLASS__EALL_STRUCTURAL_FEATURES` The feature id for the 'EAll Structural Features' reference list
`static int` `ECLASS__EALL_SUPER_TYPES` The feature id for the 'EAll Super Types' reference list
`static int` `ECLASS__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `ECLASS__EATTRIBUTES` The feature id for the 'EAttributes' reference list
`static int` `ECLASS__EGENERIC_SUPER_TYPES` The feature id for the 'EGeneric Super Types' containment reference list
`static int` `ECLASS__EID_ATTRIBUTE` The feature id for the 'EID Attribute' reference
`static int` `ECLASS__EOPERATIONS` The feature id for the 'EOperations' containment reference list
`static int` `ECLASS__EPACKAGE` The feature id for the 'EPackage' container reference
`static int` `ECLASS__EREFERENCES` The feature id for the 'EReferences' reference list
`static int` `ECLASS__ESTRUCTURAL_FEATURES` The feature id for the 'EStructural Features' containment reference list
`static int` `ECLASS__ESUPER_TYPES` The feature id for the 'ESuper Types' reference list
`static int` `ECLASS__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` `ECLASS__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` `ECLASS__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute
`static int` `ECLASS__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute
`static int` `ECLASS__INTERFACE` The feature id for the 'Interface' attribute
`static int` `ECLASS__NAME` The feature id for the 'Name' attribute
`static int` `ECLASS_FEATURE_COUNT` The number of structural features of the 'EClass' class
`static int` `ECLASSIFIER` The meta object id for the '`EClassifier`' class
`static int` `ECLASSIFIER__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` `ECLASSIFIER__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `ECLASSIFIER__EPACKAGE` The feature id for the 'EPackage' container reference
`static int` `ECLASSIFIER__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` `ECLASSIFIER__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` `ECLASSIFIER__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute
`static int` `ECLASSIFIER__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute
`static int` `ECLASSIFIER__NAME` The feature id for the 'Name' attribute
`static int` `ECLASSIFIER_FEATURE_COUNT` The number of structural features of the 'EClassifier' class
`static java.lang.String` `eCONTENT_TYPE` The package content type ID
`static int` `EDATA_TYPE` The meta object id for the '`EData Type`' class
`static int` `EDATA_TYPE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` `EDATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `EDATA_TYPE__EPACKAGE` The feature id for the 'EPackage' container reference
`static int` `EDATA_TYPE__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` `EDATA_TYPE__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` `EDATA_TYPE__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute
`static int` `EDATA_TYPE__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute
`static int` `EDATA_TYPE__NAME` The feature id for the 'Name' attribute
`static int` `EDATA_TYPE__SERIALIZABLE` The feature id for the 'Serializable' attribute
`static int` `EDATA_TYPE_FEATURE_COUNT` The number of structural features of the 'EData Type' class
`static int` `EDATE` The meta object id for the 'EDate' data type
`static int` `EDIAGNOSTIC_CHAIN` The meta object id for the 'EDiagnostic Chain' data type
`static int` `EDOUBLE` The meta object id for the 'EDouble' data type
`static int` `EDOUBLE_OBJECT` The meta object id for the 'EDouble Object' data type
`static int` `EE_LIST` The meta object id for the 'EE List' data type
`static int` `EENUM` The meta object id for the '`EEnum`' class
`static int` `EENUM__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` `EENUM__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `EENUM__ELITERALS` The feature id for the 'ELiterals' containment reference list
`static int` `EENUM__EPACKAGE` The feature id for the 'EPackage' container reference
`static int` `EENUM__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` `EENUM__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` `EENUM__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute
`static int` `EENUM__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute
`static int` `EENUM__NAME` The feature id for the 'Name' attribute
`static int` `EENUM__SERIALIZABLE` The feature id for the 'Serializable' attribute
`static int` `EENUM_FEATURE_COUNT` The number of structural features of the 'EEnum' class
`static int` `EENUM_LITERAL` The meta object id for the '`EEnum Literal`' class
`static int` `EENUM_LITERAL__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `EENUM_LITERAL__EENUM` The feature id for the 'EEnum' container reference
`static int` `EENUM_LITERAL__INSTANCE` The feature id for the 'Instance' attribute
`static int` `EENUM_LITERAL__LITERAL` The feature id for the 'Literal' attribute
`static int` `EENUM_LITERAL__NAME` The feature id for the 'Name' attribute
`static int` `EENUM_LITERAL__VALUE` The feature id for the 'Value' attribute
`static int` `EENUM_LITERAL_FEATURE_COUNT` The number of structural features of the 'EEnum Literal' class
`static int` `EENUMERATOR` The meta object id for the 'EEnumerator' data type
`static int` `EFACTORY` The meta object id for the '`EFactory`' class
`static int` `EFACTORY__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `EFACTORY__EPACKAGE` The feature id for the 'EPackage' reference
`static int` `EFACTORY_FEATURE_COUNT` The number of structural features of the 'EFactory' class
`static int` `EFEATURE_MAP` The meta object id for the 'EFeature Map' data type
`static int` `EFEATURE_MAP_ENTRY` The meta object id for the 'EFeature Map Entry' data type
`static int` `EFLOAT` The meta object id for the 'EFloat' data type
`static int` `EFLOAT_OBJECT` The meta object id for the 'EFloat Object' data type
`static int` `EGENERIC_TYPE` The meta object id for the '`EGeneric Type`' class
`static int` `EGENERIC_TYPE__ECLASSIFIER` The feature id for the 'EClassifier' reference
`static int` `EGENERIC_TYPE__ELOWER_BOUND` The feature id for the 'ELower Bound' containment reference
`static int` `EGENERIC_TYPE__ERAW_TYPE` The feature id for the 'ERaw Type' reference
`static int` `EGENERIC_TYPE__ETYPE_ARGUMENTS` The feature id for the 'EType Arguments' containment reference list
`static int` `EGENERIC_TYPE__ETYPE_PARAMETER` The feature id for the 'EType Parameter' reference
`static int` `EGENERIC_TYPE__EUPPER_BOUND` The feature id for the 'EUpper Bound' containment reference
`static int` `EGENERIC_TYPE_FEATURE_COUNT` The number of structural features of the 'EGeneric Type' class
`static EcorePackage` `eINSTANCE` The singleton instance of the package.
`static int` `EINT` The meta object id for the 'EInt' data type
`static int` `EINTEGER_OBJECT` The meta object id for the 'EInteger Object' data type
`static int` `EJAVA_CLASS` The meta object id for the 'EJava Class' data type
`static int` `EJAVA_OBJECT` The meta object id for the 'EJava Object' data type
`static int` `ELONG` The meta object id for the 'ELong' data type
`static int` `ELONG_OBJECT` The meta object id for the 'ELong Object' data type
`static int` `EMAP` The meta object id for the 'EMap' data type
`static int` `EMODEL_ELEMENT` The meta object id for the '`EModel Element`' class
`static int` `EMODEL_ELEMENT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `EMODEL_ELEMENT_FEATURE_COUNT` The number of structural features of the 'EModel Element' class
`static java.lang.String` `eNAME` The package name.
`static int` `ENAMED_ELEMENT` The meta object id for the '`ENamed Element`' class
`static int` `ENAMED_ELEMENT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `ENAMED_ELEMENT__NAME` The feature id for the 'Name' attribute
`static int` `ENAMED_ELEMENT_FEATURE_COUNT` The number of structural features of the 'ENamed Element' class
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `EOBJECT` The meta object id for the '`EObject`' class
`static int` `EOBJECT_FEATURE_COUNT` The number of structural features of the 'EObject' class
`static int` `EOPERATION` The meta object id for the '`EOperation`' class
`static int` `EOPERATION__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `EOPERATION__ECONTAINING_CLASS` The feature id for the 'EContaining Class' container reference
`static int` `EOPERATION__EEXCEPTIONS` The feature id for the 'EExceptions' reference list
`static int` `EOPERATION__EGENERIC_EXCEPTIONS` The feature id for the 'EGeneric Exceptions' containment reference list
`static int` `EOPERATION__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `EOPERATION__EPARAMETERS` The feature id for the 'EParameters' containment reference list
`static int` `EOPERATION__ETYPE` The feature id for the 'EType' reference
`static int` `EOPERATION__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` `EOPERATION__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `EOPERATION__MANY` The feature id for the 'Many' attribute
`static int` `EOPERATION__NAME` The feature id for the 'Name' attribute
`static int` `EOPERATION__ORDERED` The feature id for the 'Ordered' attribute
`static int` `EOPERATION__REQUIRED` The feature id for the 'Required' attribute
`static int` `EOPERATION__UNIQUE` The feature id for the 'Unique' attribute
`static int` `EOPERATION__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `EOPERATION_FEATURE_COUNT` The number of structural features of the 'EOperation' class
`static int` `EPACKAGE` The meta object id for the '`EPackage`' class
`static int` `EPACKAGE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `EPACKAGE__ECLASSIFIERS` The feature id for the 'EClassifiers' containment reference list
`static int` `EPACKAGE__EFACTORY_INSTANCE` The feature id for the 'EFactory Instance' reference
`static int` `EPACKAGE__ESUBPACKAGES` The feature id for the 'ESubpackages' containment reference list
`static int` `EPACKAGE__ESUPER_PACKAGE` The feature id for the 'ESuper Package' container reference
`static int` `EPACKAGE__NAME` The feature id for the 'Name' attribute
`static int` `EPACKAGE__NS_PREFIX` The feature id for the 'Ns Prefix' attribute
`static int` `EPACKAGE__NS_URI` The feature id for the 'Ns URI' attribute
`static int` `EPACKAGE_FEATURE_COUNT` The number of structural features of the 'EPackage' class
`static int` `EPARAMETER` The meta object id for the '`EParameter`' class
`static int` `EPARAMETER__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `EPARAMETER__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `EPARAMETER__EOPERATION` The feature id for the 'EOperation' container reference
`static int` `EPARAMETER__ETYPE` The feature id for the 'EType' reference
`static int` `EPARAMETER__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `EPARAMETER__MANY` The feature id for the 'Many' attribute
`static int` `EPARAMETER__NAME` The feature id for the 'Name' attribute
`static int` `EPARAMETER__ORDERED` The feature id for the 'Ordered' attribute
`static int` `EPARAMETER__REQUIRED` The feature id for the 'Required' attribute
`static int` `EPARAMETER__UNIQUE` The feature id for the 'Unique' attribute
`static int` `EPARAMETER__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `EPARAMETER_FEATURE_COUNT` The number of structural features of the 'EParameter' class
`static int` `EREFERENCE` The meta object id for the '`EReference`' class
`static int` `EREFERENCE__CHANGEABLE` The feature id for the 'Changeable' attribute
`static int` `EREFERENCE__CONTAINER` The feature id for the 'Container' attribute
`static int` `EREFERENCE__CONTAINMENT` The feature id for the 'Containment' attribute
`static int` `EREFERENCE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` `EREFERENCE__DEFAULT_VALUE_LITERAL` The feature id for the 'Default Value Literal' attribute
`static int` `EREFERENCE__DERIVED` The feature id for the 'Derived' attribute
`static int` `EREFERENCE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `EREFERENCE__ECONTAINING_CLASS` The feature id for the 'EContaining Class' container reference
`static int` `EREFERENCE__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `EREFERENCE__EKEYS` The feature id for the 'EKeys' reference list
`static int` `EREFERENCE__EOPPOSITE` The feature id for the 'EOpposite' reference
`static int` `EREFERENCE__EREFERENCE_TYPE` The feature id for the 'EReference Type' reference
`static int` `EREFERENCE__ETYPE` The feature id for the 'EType' reference
`static int` `EREFERENCE__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `EREFERENCE__MANY` The feature id for the 'Many' attribute
`static int` `EREFERENCE__NAME` The feature id for the 'Name' attribute
`static int` `EREFERENCE__ORDERED` The feature id for the 'Ordered' attribute
`static int` `EREFERENCE__REQUIRED` The feature id for the 'Required' attribute
`static int` `EREFERENCE__RESOLVE_PROXIES` The feature id for the 'Resolve Proxies' attribute
`static int` `EREFERENCE__TRANSIENT` The feature id for the 'Transient' attribute
`static int` `EREFERENCE__UNIQUE` The feature id for the 'Unique' attribute
`static int` `EREFERENCE__UNSETTABLE` The feature id for the 'Unsettable' attribute
`static int` `EREFERENCE__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `EREFERENCE__VOLATILE` The feature id for the 'Volatile' attribute
`static int` `EREFERENCE_FEATURE_COUNT` The number of structural features of the 'EReference' class
`static int` `ERESOURCE` The meta object id for the 'EResource' data type
`static int` `ERESOURCE_SET` The meta object id for the 'EResource Set' data type
`static int` `ESHORT` The meta object id for the 'EShort' data type
`static int` `ESHORT_OBJECT` The meta object id for the 'EShort Object' data type
`static int` `ESTRING` The meta object id for the 'EString' data type
`static int` `ESTRING_TO_STRING_MAP_ENTRY` The meta object id for the '`EString To String Map Entry`' class
`static int` `ESTRING_TO_STRING_MAP_ENTRY__KEY` The feature id for the 'Key' attribute
`static int` `ESTRING_TO_STRING_MAP_ENTRY__VALUE` The feature id for the 'Value' attribute
`static int` `ESTRING_TO_STRING_MAP_ENTRY_FEATURE_COUNT` The number of structural features of the 'EString To String Map Entry' class
`static int` `ESTRUCTURAL_FEATURE` The meta object id for the '`EStructural Feature`' class
`static int` `ESTRUCTURAL_FEATURE__CHANGEABLE` The feature id for the 'Changeable' attribute
`static int` `ESTRUCTURAL_FEATURE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` `ESTRUCTURAL_FEATURE__DEFAULT_VALUE_LITERAL` The feature id for the 'Default Value Literal' attribute
`static int` `ESTRUCTURAL_FEATURE__DERIVED` The feature id for the 'Derived' attribute
`static int` `ESTRUCTURAL_FEATURE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `ESTRUCTURAL_FEATURE__ECONTAINING_CLASS` The feature id for the 'EContaining Class' container reference
`static int` `ESTRUCTURAL_FEATURE__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `ESTRUCTURAL_FEATURE__ETYPE` The feature id for the 'EType' reference
`static int` `ESTRUCTURAL_FEATURE__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `ESTRUCTURAL_FEATURE__MANY` The feature id for the 'Many' attribute
`static int` `ESTRUCTURAL_FEATURE__NAME` The feature id for the 'Name' attribute
`static int` `ESTRUCTURAL_FEATURE__ORDERED` The feature id for the 'Ordered' attribute
`static int` `ESTRUCTURAL_FEATURE__REQUIRED` The feature id for the 'Required' attribute
`static int` `ESTRUCTURAL_FEATURE__TRANSIENT` The feature id for the 'Transient' attribute
`static int` `ESTRUCTURAL_FEATURE__UNIQUE` The feature id for the 'Unique' attribute
`static int` `ESTRUCTURAL_FEATURE__UNSETTABLE` The feature id for the 'Unsettable' attribute
`static int` `ESTRUCTURAL_FEATURE__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `ESTRUCTURAL_FEATURE__VOLATILE` The feature id for the 'Volatile' attribute
`static int` `ESTRUCTURAL_FEATURE_FEATURE_COUNT` The number of structural features of the 'EStructural Feature' class
`static int` `ETREE_ITERATOR` The meta object id for the 'ETree Iterator' data type
`static int` `ETYPE_PARAMETER` The meta object id for the '`EType Parameter`' class
`static int` `ETYPE_PARAMETER__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `ETYPE_PARAMETER__EBOUNDS` The feature id for the 'EBounds' containment reference list
`static int` `ETYPE_PARAMETER__NAME` The feature id for the 'Name' attribute
`static int` `ETYPE_PARAMETER_FEATURE_COUNT` The number of structural features of the 'EType Parameter' class
`static int` `ETYPED_ELEMENT` The meta object id for the '`ETyped Element`' class
`static int` `ETYPED_ELEMENT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `ETYPED_ELEMENT__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `ETYPED_ELEMENT__ETYPE` The feature id for the 'EType' reference
`static int` `ETYPED_ELEMENT__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `ETYPED_ELEMENT__MANY` The feature id for the 'Many' attribute
`static int` `ETYPED_ELEMENT__NAME` The feature id for the 'Name' attribute
`static int` `ETYPED_ELEMENT__ORDERED` The feature id for the 'Ordered' attribute
`static int` `ETYPED_ELEMENT__REQUIRED` The feature id for the 'Required' attribute
`static int` `ETYPED_ELEMENT__UNIQUE` The feature id for the 'Unique' attribute
`static int` `ETYPED_ELEMENT__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `ETYPED_ELEMENT_FEATURE_COUNT` The number of structural features of the 'ETyped Element' class

Method Summary
`EReference` `getEAnnotation_Contents()` Returns the meta object for the containment reference list '`Contents`'
`EReference` `getEAnnotation_Details()` Returns the meta object for the map '`Details`'
`EReference` `getEAnnotation_EModelElement()` Returns the meta object for the container reference '`EModel Element`'
`EReference` `getEAnnotation_References()` Returns the meta object for the reference list '`References`'
`EAttribute` `getEAnnotation_Source()` Returns the meta object for the attribute '`Source`'
`EClass` `getEAnnotation()` Returns the meta object for class '`EAnnotation`'
`EReference` `getEAttribute_EAttributeType()` Returns the meta object for the reference '`EAttribute Type`'
`EAttribute` `getEAttribute_ID()` Returns the meta object for the attribute '`ID`'
`EClass` `getEAttribute()` Returns the meta object for class '`EAttribute`'
`EDataType` `getEBigDecimal()` Returns the meta object for data type '`EBig Decimal`'
`EDataType` `getEBigInteger()` Returns the meta object for data type '`EBig Integer`'
`EDataType` `getEBoolean()` Returns the meta object for data type 'EBoolean'
`EDataType` `getEBooleanObject()` Returns the meta object for data type '`EBoolean Object`'
`EDataType` `getEByte()` Returns the meta object for data type 'EByte'
`EDataType` `getEByteArray()` Returns the meta object for data type 'EByte Array'
`EDataType` `getEByteObject()` Returns the meta object for data type '`EByte Object`'
`EDataType` `getEChar()` Returns the meta object for data type 'EChar'
`EDataType` `getECharacterObject()` Returns the meta object for data type '`ECharacter Object`'
`EAttribute` `getEClass_Abstract()` Returns the meta object for the attribute '`Abstract`'
`EReference` `getEClass_EAllAttributes()` Returns the meta object for the reference list '`EAll Attributes`'
`EReference` `getEClass_EAllContainments()` Returns the meta object for the reference list '`EAll Containments`'
`EReference` `getEClass_EAllGenericSuperTypes()` Returns the meta object for the reference list '`EAll Generic Super Types`'
`EReference` `getEClass_EAllOperations()` Returns the meta object for the reference list '`EAll Operations`'
`EReference` `getEClass_EAllReferences()` Returns the meta object for the reference list '`EAll References`'
`EReference` `getEClass_EAllStructuralFeatures()` Returns the meta object for the reference list '`EAll Structural Features`'
`EReference` `getEClass_EAllSuperTypes()` Returns the meta object for the reference list '`EAll Super Types`'
`EReference` `getEClass_EAttributes()` Returns the meta object for the reference list '`EAttributes`'
`EReference` `getEClass_EGenericSuperTypes()` Returns the meta object for the containment reference list '`EGeneric Super Types`'
`EReference` `getEClass_EIDAttribute()` Returns the meta object for the reference '`EID Attribute`'
`EReference` `getEClass_EOperations()` Returns the meta object for the containment reference list '`EOperations`'
`EReference` `getEClass_EReferences()` Returns the meta object for the reference list '`EReferences`'
`EReference` `getEClass_EStructuralFeatures()` Returns the meta object for the containment reference list '`EStructural Features`'
`EReference` `getEClass_ESuperTypes()` Returns the meta object for the reference list '`ESuper Types`'
`EAttribute` `getEClass_Interface()` Returns the meta object for the attribute '`Interface`'
`EClass` `getEClass()` Returns the meta object for class '`EClass`'
`EAttribute` `getEClassifier_DefaultValue()` Returns the meta object for the attribute '`Default Value`'
`EReference` `getEClassifier_EPackage()` Returns the meta object for the container reference '`EPackage`'
`EReference` `getEClassifier_ETypeParameters()` Returns the meta object for the containment reference list '`EType Parameters`'
`EAttribute` `getEClassifier_InstanceClass()` Returns the meta object for the attribute '`Instance Class`'
`EAttribute` `getEClassifier_InstanceClassName()` Returns the meta object for the attribute '`Instance Class Name`'
`EAttribute` `getEClassifier_InstanceTypeName()` Returns the meta object for the attribute '`Instance Type Name`'
`EClass` `getEClassifier()` Returns the meta object for class '`EClassifier`'
`EcoreFactory` `getEcoreFactory()` Returns the factory that creates the instances of the model
`EAttribute` `getEDataType_Serializable()` Returns the meta object for the attribute '`Serializable`'
`EClass` `getEDataType()` Returns the meta object for class '`EData Type`'
`EDataType` `getEDate()` Returns the meta object for data type '`EDate`'
`EDataType` `getEDiagnosticChain()` Returns the meta object for data type '`EDiagnostic Chain`'
`EDataType` `getEDouble()` Returns the meta object for data type 'EDouble'
`EDataType` `getEDoubleObject()` Returns the meta object for data type '`EDouble Object`'
`EDataType` `getEEList()` Returns the meta object for data type '`EE List`'
`EReference` `getEEnum_ELiterals()` Returns the meta object for the containment reference list '`ELiterals`'
`EClass` `getEEnum()` Returns the meta object for class '`EEnum`'
`EDataType` `getEEnumerator()` Returns the meta object for data type '`EEnumerator`'
`EReference` `getEEnumLiteral_EEnum()` Returns the meta object for the container reference '`EEnum`'
`EAttribute` `getEEnumLiteral_Instance()` Returns the meta object for the attribute '`Instance`'
`EAttribute` `getEEnumLiteral_Literal()` Returns the meta object for the attribute '`Literal`'
`EAttribute` `getEEnumLiteral_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getEEnumLiteral()` Returns the meta object for class '`EEnum Literal`'
`EReference` `getEFactory_EPackage()` Returns the meta object for the reference '`EPackage`'
`EClass` `getEFactory()` Returns the meta object for class '`EFactory`'
`EDataType` `getEFeatureMap()` Returns the meta object for data type '`EFeature Map`'
`EDataType` `getEFeatureMapEntry()` Returns the meta object for data type '`EFeature Map Entry`'
`EDataType` `getEFloat()` Returns the meta object for data type 'EFloat'
`EDataType` `getEFloatObject()` Returns the meta object for data type '`EFloat Object`'
`EReference` `getEGenericType_EClassifier()` Returns the meta object for the reference '`EClassifier`'
`EReference` `getEGenericType_ELowerBound()` Returns the meta object for the containment reference '`ELower Bound`'
`EReference` `getEGenericType_ERawType()` Returns the meta object for the reference '`ERaw Type`'
`EReference` `getEGenericType_ETypeArguments()` Returns the meta object for the containment reference list '`EType Arguments`'
`EReference` `getEGenericType_ETypeParameter()` Returns the meta object for the reference '`EType Parameter`'
`EReference` `getEGenericType_EUpperBound()` Returns the meta object for the containment reference '`EUpper Bound`'
`EClass` `getEGenericType()` Returns the meta object for class '`EGeneric Type`'
`EDataType` `getEInt()` Returns the meta object for data type 'EInt'
`EDataType` `getEIntegerObject()` Returns the meta object for data type '`EInteger Object`'
`EDataType` `getEJavaClass()` Returns the meta object for data type '`EJava Class`'
`EDataType` `getEJavaObject()` Returns the meta object for data type '`EJava Object`'
`EDataType` `getELong()` Returns the meta object for data type 'ELong'
`EDataType` `getELongObject()` Returns the meta object for data type '`ELong Object`'
`EDataType` `getEMap()` Returns the meta object for data type '`EMap`'
`EReference` `getEModelElement_EAnnotations()` Returns the meta object for the containment reference list '`EAnnotations`'
`EClass` `getEModelElement()` Returns the meta object for class '`EModel Element`'
`EAttribute` `getENamedElement_Name()` Returns the meta object for the attribute '`Name`'
`EClass` `getENamedElement()` Returns the meta object for class '`ENamed Element`'
`EClass` `getEObject()` Returns the meta object for class '`EObject`'
`EReference` `getEOperation_EContainingClass()` Returns the meta object for the container reference '`EContaining Class`'
`EReference` `getEOperation_EExceptions()` Returns the meta object for the reference list '`EExceptions`'
`EReference` `getEOperation_EGenericExceptions()` Returns the meta object for the containment reference list '`EGeneric Exceptions`'
`EReference` `getEOperation_EParameters()` Returns the meta object for the containment reference list '`EParameters`'
`EReference` `getEOperation_ETypeParameters()` Returns the meta object for the containment reference list '`EType Parameters`'
`EClass` `getEOperation()` Returns the meta object for class '`EOperation`'
`EReference` `getEPackage_EClassifiers()` Returns the meta object for the containment reference list '`EClassifiers`'
`EReference` `getEPackage_EFactoryInstance()` Returns the meta object for the reference '`EFactory Instance`'
`EReference` `getEPackage_ESubpackages()` Returns the meta object for the containment reference list '`ESubpackages`'
`EReference` `getEPackage_ESuperPackage()` Returns the meta object for the container reference '`ESuper Package`'
`EAttribute` `getEPackage_NsPrefix()` Returns the meta object for the attribute '`Ns Prefix`'
`EAttribute` `getEPackage_NsURI()` Returns the meta object for the attribute '`Ns URI`'
`EClass` `getEPackage()` Returns the meta object for class '`EPackage`'
`EReference` `getEParameter_EOperation()` Returns the meta object for the container reference '`EOperation`'
`EClass` `getEParameter()` Returns the meta object for class '`EParameter`'
`EAttribute` `getEReference_Container()` Returns the meta object for the attribute '`Container`'
`EAttribute` `getEReference_Containment()` Returns the meta object for the attribute '`Containment`'
`EReference` `getEReference_EKeys()` Returns the meta object for the reference list '`EKeys`'
`EReference` `getEReference_EOpposite()` Returns the meta object for the reference '`EOpposite`'
`EReference` `getEReference_EReferenceType()` Returns the meta object for the reference '`EReference Type`'
`EAttribute` `getEReference_ResolveProxies()` Returns the meta object for the attribute '`Resolve Proxies`'
`EClass` `getEReference()` Returns the meta object for class '`EReference`'
`EDataType` `getEResource()` Returns the meta object for data type '`EResource`'
`EDataType` `getEResourceSet()` Returns the meta object for data type '`EResource Set`'
`EDataType` `getEShort()` Returns the meta object for data type 'EShort'
`EDataType` `getEShortObject()` Returns the meta object for data type '`EShort Object`'
`EDataType` `getEString()` Returns the meta object for data type '`EString`'
`EAttribute` `getEStringToStringMapEntry_Key()` Returns the meta object for the attribute '`Key`'
`EAttribute` `getEStringToStringMapEntry_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getEStringToStringMapEntry()` Returns the meta object for class '`EString To String Map Entry`'
`EAttribute` `getEStructuralFeature_Changeable()` Returns the meta object for the attribute '`Changeable`'
`EAttribute` `getEStructuralFeature_DefaultValue()` Returns the meta object for the attribute '`Default Value`'
`EAttribute` `getEStructuralFeature_DefaultValueLiteral()` Returns the meta object for the attribute '`Default Value Literal`'
`EAttribute` `getEStructuralFeature_Derived()` Returns the meta object for the attribute '`Derived`'
`EReference` `getEStructuralFeature_EContainingClass()` Returns the meta object for the container reference '`EContaining Class`'
`EAttribute` `getEStructuralFeature_LowerBound()` Deprecated. replaced by getETypedElement_LowerBound()
`EAttribute` `getEStructuralFeature_Many()` Deprecated. replaced by getETypedElement_Many()
`EAttribute` `getEStructuralFeature_Required()` Deprecated. replaced by getETypedElement_Required()
`EAttribute` `getEStructuralFeature_Transient()` Returns the meta object for the attribute '`Transient`'
`EAttribute` `getEStructuralFeature_Unique()` Deprecated. replaced by getETypedElement_Unique()
`EAttribute` `getEStructuralFeature_Unsettable()` Returns the meta object for the attribute '`Unsettable`'
`EAttribute` `getEStructuralFeature_UpperBound()` Deprecated. replaced by getETypedElement_UpperBound()
`EAttribute` `getEStructuralFeature_Volatile()` Returns the meta object for the attribute '`Volatile`'
`EClass` `getEStructuralFeature()` Returns the meta object for class '`EStructural Feature`'
`EDataType` `getETreeIterator()` Returns the meta object for data type '`ETree Iterator`'
`EReference` `getETypedElement_EGenericType()` Returns the meta object for the containment reference '`EGeneric Type`'
`EReference` `getETypedElement_EType()` Returns the meta object for the reference '`EType`'
`EAttribute` `getETypedElement_LowerBound()` Returns the meta object for the attribute '`Lower Bound`'
`EAttribute` `getETypedElement_Many()` Returns the meta object for the attribute '`Many`'
`EAttribute` `getETypedElement_Ordered()` Returns the meta object for the attribute '`Ordered`'
`EAttribute` `getETypedElement_Required()` Returns the meta object for the attribute '`Required`'
`EAttribute` `getETypedElement_Unique()` Returns the meta object for the attribute '`Unique`'
`EAttribute` `getETypedElement_UpperBound()` Returns the meta object for the attribute '`Upper Bound`'
`EClass` `getETypedElement()` Returns the meta object for class '`ETyped Element`'
`EReference` `getETypeParameter_EBounds()` Returns the meta object for the containment reference list '`EBounds`'
`EClass` `getETypeParameter()` Returns the meta object for class '`EType Parameter`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eCONTENT_TYPE

    static final java.lang.String eCONTENT_TYPE

  The package content type ID.

  Since:
    2.4
  See Also:
    Constant Field Values

### eINSTANCE

    static final EcorePackage eINSTANCE

  The singleton instance of the package.

### EOBJECT

    static final int EOBJECT

  The meta object id for the '`EObject`' class.

  See Also:
    `EObjectImpl`, `EcorePackageImpl.getEObject()`, Constant Field Values

### EOBJECT_FEATURE_COUNT

    static final int EOBJECT_FEATURE_COUNT

  The number of structural features of the 'EObject' class.

  See Also:
    Constant Field Values

### EMODEL_ELEMENT

    static final int EMODEL_ELEMENT

  The meta object id for the '`EModel Element`' class.

  See Also:
    `EModelElementImpl`, `EcorePackageImpl.getEModelElement()`, Constant Field Values

### EMODEL_ELEMENT__EANNOTATIONS

    static final int EMODEL_ELEMENT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### EMODEL_ELEMENT_FEATURE_COUNT

    static final int EMODEL_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'EModel Element' class.

  See Also:
    Constant Field Values

### ENAMED_ELEMENT

    static final int ENAMED_ELEMENT

  The meta object id for the '`ENamed Element`' class.

  See Also:
    `ENamedElementImpl`, `EcorePackageImpl.getENamedElement()`, Constant Field Values

### ENAMED_ELEMENT__EANNOTATIONS

    static final int ENAMED_ELEMENT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### ENAMED_ELEMENT__NAME

    static final int ENAMED_ELEMENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ENAMED_ELEMENT_FEATURE_COUNT

    static final int ENAMED_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'ENamed Element' class.

  See Also:
    Constant Field Values

### ESTRUCTURAL_FEATURE

    static final int ESTRUCTURAL_FEATURE

  The meta object id for the '`EStructural Feature`' class.

  See Also:
    `EStructuralFeatureImpl`, `EcorePackageImpl.getEStructuralFeature()`, Constant Field Values

### EATTRIBUTE

    static final int EATTRIBUTE

  The meta object id for the '`EAttribute`' class.

  See Also:
    `EAttributeImpl`, `EcorePackageImpl.getEAttribute()`, Constant Field Values

### ECLASS

    static final int ECLASS

  The meta object id for the '`EClass`' class.

  See Also:
    `EClassImpl`, `EcorePackageImpl.getEClass()`, Constant Field Values

### ETYPED_ELEMENT

    static final int ETYPED_ELEMENT

  The meta object id for the '`ETyped Element`' class.

  See Also:
    `ETypedElementImpl`, `EcorePackageImpl.getETypedElement()`, Constant Field Values

### EDATA_TYPE

    static final int EDATA_TYPE

  The meta object id for the '`EData Type`' class.

  See Also:
    `EDataTypeImpl`, `EcorePackageImpl.getEDataType()`, Constant Field Values

### EENUM

    static final int EENUM

  The meta object id for the '`EEnum`' class.

  See Also:
    `EEnumImpl`, `EcorePackageImpl.getEEnum()`, Constant Field Values

### EENUM_LITERAL

    static final int EENUM_LITERAL

  The meta object id for the '`EEnum Literal`' class.

  See Also:
    `EEnumLiteralImpl`, `EcorePackageImpl.getEEnumLiteral()`, Constant Field Values

### EFACTORY

    static final int EFACTORY

  The meta object id for the '`EFactory`' class.

  See Also:
    `EFactoryImpl`, `EcorePackageImpl.getEFactory()`, Constant Field Values

### EOPERATION

    static final int EOPERATION

  The meta object id for the '`EOperation`' class.

  See Also:
    `EOperationImpl`, `EcorePackageImpl.getEOperation()`, Constant Field Values

### EPACKAGE

    static final int EPACKAGE

  The meta object id for the '`EPackage`' class.

  See Also:
    `EPackageImpl`, `EcorePackageImpl.getEPackage()`, Constant Field Values

### EPARAMETER

    static final int EPARAMETER

  The meta object id for the '`EParameter`' class.

  See Also:
    `EParameterImpl`, `EcorePackageImpl.getEParameter()`, Constant Field Values

### EREFERENCE

    static final int EREFERENCE

  The meta object id for the '`EReference`' class.

  See Also:
    `EReferenceImpl`, `EcorePackageImpl.getEReference()`, Constant Field Values

### ETYPED_ELEMENT__EANNOTATIONS

    static final int ETYPED_ELEMENT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### ETYPED_ELEMENT__NAME

    static final int ETYPED_ELEMENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ETYPED_ELEMENT__ORDERED

    static final int ETYPED_ELEMENT__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### ETYPED_ELEMENT__UNIQUE

    static final int ETYPED_ELEMENT__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### ETYPED_ELEMENT__LOWER_BOUND

    static final int ETYPED_ELEMENT__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### ETYPED_ELEMENT__UPPER_BOUND

    static final int ETYPED_ELEMENT__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### ETYPED_ELEMENT__MANY

    static final int ETYPED_ELEMENT__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### ETYPED_ELEMENT__REQUIRED

    static final int ETYPED_ELEMENT__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### ETYPED_ELEMENT__ETYPE

    static final int ETYPED_ELEMENT__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### ETYPED_ELEMENT__EGENERIC_TYPE

    static final int ETYPED_ELEMENT__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### ETYPED_ELEMENT_FEATURE_COUNT

    static final int ETYPED_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'ETyped Element' class.

  See Also:
    Constant Field Values

### ESTRUCTURAL_FEATURE__EANNOTATIONS

    static final int ESTRUCTURAL_FEATURE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### ESTRUCTURAL_FEATURE__NAME

    static final int ESTRUCTURAL_FEATURE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ESTRUCTURAL_FEATURE__ORDERED

    static final int ESTRUCTURAL_FEATURE__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### ESTRUCTURAL_FEATURE__UNIQUE

    static final int ESTRUCTURAL_FEATURE__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### ESTRUCTURAL_FEATURE__LOWER_BOUND

    static final int ESTRUCTURAL_FEATURE__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### ESTRUCTURAL_FEATURE__UPPER_BOUND

    static final int ESTRUCTURAL_FEATURE__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### ESTRUCTURAL_FEATURE__MANY

    static final int ESTRUCTURAL_FEATURE__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### ESTRUCTURAL_FEATURE__REQUIRED

    static final int ESTRUCTURAL_FEATURE__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### ESTRUCTURAL_FEATURE__ETYPE

    static final int ESTRUCTURAL_FEATURE__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### ESTRUCTURAL_FEATURE__EGENERIC_TYPE

    static final int ESTRUCTURAL_FEATURE__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### ESTRUCTURAL_FEATURE__CHANGEABLE

    static final int ESTRUCTURAL_FEATURE__CHANGEABLE

  The feature id for the 'Changeable' attribute.

  See Also:
    Constant Field Values

### ESTRUCTURAL_FEATURE__VOLATILE

    static final int ESTRUCTURAL_FEATURE__VOLATILE

  The feature id for the 'Volatile' attribute.

  See Also:
    Constant Field Values

### ESTRUCTURAL_FEATURE__TRANSIENT

    static final int ESTRUCTURAL_FEATURE__TRANSIENT

  The feature id for the 'Transient' attribute.

  See Also:
    Constant Field Values

### ESTRUCTURAL_FEATURE__DEFAULT_VALUE_LITERAL

    static final int ESTRUCTURAL_FEATURE__DEFAULT_VALUE_LITERAL

  The feature id for the 'Default Value Literal' attribute.

  See Also:
    Constant Field Values

### ESTRUCTURAL_FEATURE__DEFAULT_VALUE

    static final int ESTRUCTURAL_FEATURE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### ESTRUCTURAL_FEATURE__UNSETTABLE

    static final int ESTRUCTURAL_FEATURE__UNSETTABLE

  The feature id for the 'Unsettable' attribute.

  See Also:
    Constant Field Values

### ESTRUCTURAL_FEATURE__DERIVED

    static final int ESTRUCTURAL_FEATURE__DERIVED

  The feature id for the 'Derived' attribute.

  See Also:
    Constant Field Values

### ESTRUCTURAL_FEATURE__ECONTAINING_CLASS

    static final int ESTRUCTURAL_FEATURE__ECONTAINING_CLASS

  The feature id for the 'EContaining Class' container reference.

  See Also:
    Constant Field Values

### ESTRUCTURAL_FEATURE_FEATURE_COUNT

    static final int ESTRUCTURAL_FEATURE_FEATURE_COUNT

  The number of structural features of the 'EStructural Feature' class.

  See Also:
    Constant Field Values

### EATTRIBUTE__EANNOTATIONS

    static final int EATTRIBUTE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### EATTRIBUTE__NAME

    static final int EATTRIBUTE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### EATTRIBUTE__ORDERED

    static final int EATTRIBUTE__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### EATTRIBUTE__UNIQUE

    static final int EATTRIBUTE__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### EATTRIBUTE__LOWER_BOUND

    static final int EATTRIBUTE__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### EATTRIBUTE__UPPER_BOUND

    static final int EATTRIBUTE__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### EATTRIBUTE__MANY

    static final int EATTRIBUTE__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### EATTRIBUTE__REQUIRED

    static final int EATTRIBUTE__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### EATTRIBUTE__ETYPE

    static final int EATTRIBUTE__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### EATTRIBUTE__EGENERIC_TYPE

    static final int EATTRIBUTE__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### EATTRIBUTE__CHANGEABLE

    static final int EATTRIBUTE__CHANGEABLE

  The feature id for the 'Changeable' attribute.

  See Also:
    Constant Field Values

### EATTRIBUTE__VOLATILE

    static final int EATTRIBUTE__VOLATILE

  The feature id for the 'Volatile' attribute.

  See Also:
    Constant Field Values

### EATTRIBUTE__TRANSIENT

    static final int EATTRIBUTE__TRANSIENT

  The feature id for the 'Transient' attribute.

  See Also:
    Constant Field Values

### EATTRIBUTE__DEFAULT_VALUE_LITERAL

    static final int EATTRIBUTE__DEFAULT_VALUE_LITERAL

  The feature id for the 'Default Value Literal' attribute.

  See Also:
    Constant Field Values

### EATTRIBUTE__DEFAULT_VALUE

    static final int EATTRIBUTE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### EATTRIBUTE__UNSETTABLE

    static final int EATTRIBUTE__UNSETTABLE

  The feature id for the 'Unsettable' attribute.

  See Also:
    Constant Field Values

### EATTRIBUTE__DERIVED

    static final int EATTRIBUTE__DERIVED

  The feature id for the 'Derived' attribute.

  See Also:
    Constant Field Values

### EATTRIBUTE__ECONTAINING_CLASS

    static final int EATTRIBUTE__ECONTAINING_CLASS

  The feature id for the 'EContaining Class' container reference.

  See Also:
    Constant Field Values

### EATTRIBUTE__ID

    static final int EATTRIBUTE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### EATTRIBUTE__EATTRIBUTE_TYPE

    static final int EATTRIBUTE__EATTRIBUTE_TYPE

  The feature id for the 'EAttribute Type' reference.

  See Also:
    Constant Field Values

### EATTRIBUTE_FEATURE_COUNT

    static final int EATTRIBUTE_FEATURE_COUNT

  The number of structural features of the 'EAttribute' class.

  See Also:
    Constant Field Values

### EANNOTATION

    static final int EANNOTATION

  The meta object id for the '`EAnnotation`' class.

  See Also:
    `EAnnotationImpl`, `EcorePackageImpl.getEAnnotation()`, Constant Field Values

### EANNOTATION__EANNOTATIONS

    static final int EANNOTATION__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### EANNOTATION__SOURCE

    static final int EANNOTATION__SOURCE

  The feature id for the 'Source' attribute.

  See Also:
    Constant Field Values

### EANNOTATION__DETAILS

    static final int EANNOTATION__DETAILS

  The feature id for the 'Details' map.

  See Also:
    Constant Field Values

### EANNOTATION__EMODEL_ELEMENT

    static final int EANNOTATION__EMODEL_ELEMENT

  The feature id for the 'EModel Element' container reference.

  See Also:
    Constant Field Values

### EANNOTATION__CONTENTS

    static final int EANNOTATION__CONTENTS

  The feature id for the 'Contents' containment reference list.

  See Also:
    Constant Field Values

### EANNOTATION__REFERENCES

    static final int EANNOTATION__REFERENCES

  The feature id for the 'References' reference list.

  See Also:
    Constant Field Values

### EANNOTATION_FEATURE_COUNT

    static final int EANNOTATION_FEATURE_COUNT

  The number of structural features of the 'EAnnotation' class.

  See Also:
    Constant Field Values

### ECLASSIFIER

    static final int ECLASSIFIER

  The meta object id for the '`EClassifier`' class.

  See Also:
    `EClassifierImpl`, `EcorePackageImpl.getEClassifier()`, Constant Field Values

### ECLASSIFIER__EANNOTATIONS

    static final int ECLASSIFIER__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### ECLASSIFIER__NAME

    static final int ECLASSIFIER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ECLASSIFIER__INSTANCE_CLASS_NAME

    static final int ECLASSIFIER__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### ECLASSIFIER__INSTANCE_CLASS

    static final int ECLASSIFIER__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### ECLASSIFIER__DEFAULT_VALUE

    static final int ECLASSIFIER__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### ECLASSIFIER__INSTANCE_TYPE_NAME

    static final int ECLASSIFIER__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### ECLASSIFIER__EPACKAGE

    static final int ECLASSIFIER__EPACKAGE

  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### ECLASSIFIER__ETYPE_PARAMETERS

    static final int ECLASSIFIER__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### ECLASSIFIER_FEATURE_COUNT

    static final int ECLASSIFIER_FEATURE_COUNT

  The number of structural features of the 'EClassifier' class.

  See Also:
    Constant Field Values

### ECLASS__EANNOTATIONS

    static final int ECLASS__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### ECLASS__NAME

    static final int ECLASS__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ECLASS__INSTANCE_CLASS_NAME

    static final int ECLASS__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### ECLASS__INSTANCE_CLASS

    static final int ECLASS__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### ECLASS__DEFAULT_VALUE

    static final int ECLASS__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### ECLASS__INSTANCE_TYPE_NAME

    static final int ECLASS__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### ECLASS__EPACKAGE

    static final int ECLASS__EPACKAGE

  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### ECLASS__ETYPE_PARAMETERS

    static final int ECLASS__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### ECLASS__ABSTRACT

    static final int ECLASS__ABSTRACT

  The feature id for the 'Abstract' attribute.

  See Also:
    Constant Field Values

### ECLASS__INTERFACE

    static final int ECLASS__INTERFACE

  The feature id for the 'Interface' attribute.

  See Also:
    Constant Field Values

### ECLASS__ESUPER_TYPES

    static final int ECLASS__ESUPER_TYPES

  The feature id for the 'ESuper Types' reference list.

  See Also:
    Constant Field Values

### ECLASS__EOPERATIONS

    static final int ECLASS__EOPERATIONS

  The feature id for the 'EOperations' containment reference list.

  See Also:
    Constant Field Values

### ECLASS__EALL_ATTRIBUTES

    static final int ECLASS__EALL_ATTRIBUTES

  The feature id for the 'EAll Attributes' reference list.

  See Also:
    Constant Field Values

### ECLASS__EALL_REFERENCES

    static final int ECLASS__EALL_REFERENCES

  The feature id for the 'EAll References' reference list.

  See Also:
    Constant Field Values

### ECLASS__EREFERENCES

    static final int ECLASS__EREFERENCES

  The feature id for the 'EReferences' reference list.

  See Also:
    Constant Field Values

### ECLASS__EATTRIBUTES

    static final int ECLASS__EATTRIBUTES

  The feature id for the 'EAttributes' reference list.

  See Also:
    Constant Field Values

### ECLASS__EALL_CONTAINMENTS

    static final int ECLASS__EALL_CONTAINMENTS

  The feature id for the 'EAll Containments' reference list.

  See Also:
    Constant Field Values

### ECLASS__EALL_OPERATIONS

    static final int ECLASS__EALL_OPERATIONS

  The feature id for the 'EAll Operations' reference list.

  See Also:
    Constant Field Values

### ECLASS__EALL_STRUCTURAL_FEATURES

    static final int ECLASS__EALL_STRUCTURAL_FEATURES

  The feature id for the 'EAll Structural Features' reference list.

  See Also:
    Constant Field Values

### ECLASS__EALL_SUPER_TYPES

    static final int ECLASS__EALL_SUPER_TYPES

  The feature id for the 'EAll Super Types' reference list.

  See Also:
    Constant Field Values

### ECLASS__EID_ATTRIBUTE

    static final int ECLASS__EID_ATTRIBUTE

  The feature id for the 'EID Attribute' reference.

  See Also:
    Constant Field Values

### ECLASS__ESTRUCTURAL_FEATURES

    static final int ECLASS__ESTRUCTURAL_FEATURES

  The feature id for the 'EStructural Features' containment reference list.

  See Also:
    Constant Field Values

### ECLASS__EGENERIC_SUPER_TYPES

    static final int ECLASS__EGENERIC_SUPER_TYPES

  The feature id for the 'EGeneric Super Types' containment reference list.

  See Also:
    Constant Field Values

### ECLASS__EALL_GENERIC_SUPER_TYPES

    static final int ECLASS__EALL_GENERIC_SUPER_TYPES

  The feature id for the 'EAll Generic Super Types' reference list.

  See Also:
    Constant Field Values

### ECLASS_FEATURE_COUNT

    static final int ECLASS_FEATURE_COUNT

  The number of structural features of the 'EClass' class.

  See Also:
    Constant Field Values

### EDATA_TYPE__EANNOTATIONS

    static final int EDATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### EDATA_TYPE__NAME

    static final int EDATA_TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### EDATA_TYPE__INSTANCE_CLASS_NAME

    static final int EDATA_TYPE__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### EDATA_TYPE__INSTANCE_CLASS

    static final int EDATA_TYPE__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### EDATA_TYPE__DEFAULT_VALUE

    static final int EDATA_TYPE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### EDATA_TYPE__INSTANCE_TYPE_NAME

    static final int EDATA_TYPE__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### EDATA_TYPE__EPACKAGE

    static final int EDATA_TYPE__EPACKAGE

  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### EDATA_TYPE__ETYPE_PARAMETERS

    static final int EDATA_TYPE__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### EDATA_TYPE__SERIALIZABLE

    static final int EDATA_TYPE__SERIALIZABLE

  The feature id for the 'Serializable' attribute.

  See Also:
    Constant Field Values

### EDATA_TYPE_FEATURE_COUNT

    static final int EDATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'EData Type' class.

  See Also:
    Constant Field Values

### EENUM__EANNOTATIONS

    static final int EENUM__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### EENUM__NAME

    static final int EENUM__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### EENUM__INSTANCE_CLASS_NAME

    static final int EENUM__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### EENUM__INSTANCE_CLASS

    static final int EENUM__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### EENUM__DEFAULT_VALUE

    static final int EENUM__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### EENUM__INSTANCE_TYPE_NAME

    static final int EENUM__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### EENUM__EPACKAGE

    static final int EENUM__EPACKAGE

  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### EENUM__ETYPE_PARAMETERS

    static final int EENUM__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### EENUM__SERIALIZABLE

    static final int EENUM__SERIALIZABLE

  The feature id for the 'Serializable' attribute.

  See Also:
    Constant Field Values

### EENUM__ELITERALS

    static final int EENUM__ELITERALS

  The feature id for the 'ELiterals' containment reference list.

  See Also:
    Constant Field Values

### EENUM_FEATURE_COUNT

    static final int EENUM_FEATURE_COUNT

  The number of structural features of the 'EEnum' class.

  See Also:
    Constant Field Values

### EENUM_LITERAL__EANNOTATIONS

    static final int EENUM_LITERAL__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### EENUM_LITERAL__NAME

    static final int EENUM_LITERAL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### EENUM_LITERAL__VALUE

    static final int EENUM_LITERAL__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### EENUM_LITERAL__INSTANCE

    static final int EENUM_LITERAL__INSTANCE

  The feature id for the 'Instance' attribute.

  See Also:
    Constant Field Values

### EENUM_LITERAL__LITERAL

    static final int EENUM_LITERAL__LITERAL

  The feature id for the 'Literal' attribute.

  See Also:
    Constant Field Values

### EENUM_LITERAL__EENUM

    static final int EENUM_LITERAL__EENUM

  The feature id for the 'EEnum' container reference.

  See Also:
    Constant Field Values

### EENUM_LITERAL_FEATURE_COUNT

    static final int EENUM_LITERAL_FEATURE_COUNT

  The number of structural features of the 'EEnum Literal' class.

  See Also:
    Constant Field Values

### EFACTORY__EANNOTATIONS

    static final int EFACTORY__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### EFACTORY__EPACKAGE

    static final int EFACTORY__EPACKAGE

  The feature id for the 'EPackage' reference.

  See Also:
    Constant Field Values

### EFACTORY_FEATURE_COUNT

    static final int EFACTORY_FEATURE_COUNT

  The number of structural features of the 'EFactory' class.

  See Also:
    Constant Field Values

### EOPERATION__EANNOTATIONS

    static final int EOPERATION__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### EOPERATION__NAME

    static final int EOPERATION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### EOPERATION__ORDERED

    static final int EOPERATION__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### EOPERATION__UNIQUE

    static final int EOPERATION__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### EOPERATION__LOWER_BOUND

    static final int EOPERATION__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### EOPERATION__UPPER_BOUND

    static final int EOPERATION__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### EOPERATION__MANY

    static final int EOPERATION__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### EOPERATION__REQUIRED

    static final int EOPERATION__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### EOPERATION__ETYPE

    static final int EOPERATION__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### EOPERATION__EGENERIC_TYPE

    static final int EOPERATION__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### EOPERATION__ECONTAINING_CLASS

    static final int EOPERATION__ECONTAINING_CLASS

  The feature id for the 'EContaining Class' container reference.

  See Also:
    Constant Field Values

### EOPERATION__ETYPE_PARAMETERS

    static final int EOPERATION__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### EOPERATION__EPARAMETERS

    static final int EOPERATION__EPARAMETERS

  The feature id for the 'EParameters' containment reference list.

  See Also:
    Constant Field Values

### EOPERATION__EEXCEPTIONS

    static final int EOPERATION__EEXCEPTIONS

  The feature id for the 'EExceptions' reference list.

  See Also:
    Constant Field Values

### EOPERATION__EGENERIC_EXCEPTIONS

    static final int EOPERATION__EGENERIC_EXCEPTIONS

  The feature id for the 'EGeneric Exceptions' containment reference list.

  See Also:
    Constant Field Values

### EOPERATION_FEATURE_COUNT

    static final int EOPERATION_FEATURE_COUNT

  The number of structural features of the 'EOperation' class.

  See Also:
    Constant Field Values

### EPACKAGE__EANNOTATIONS

    static final int EPACKAGE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### EPACKAGE__NAME

    static final int EPACKAGE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### EPACKAGE__NS_URI

    static final int EPACKAGE__NS_URI

  The feature id for the 'Ns URI' attribute.

  See Also:
    Constant Field Values

### EPACKAGE__NS_PREFIX

    static final int EPACKAGE__NS_PREFIX

  The feature id for the 'Ns Prefix' attribute.

  See Also:
    Constant Field Values

### EPACKAGE__EFACTORY_INSTANCE

    static final int EPACKAGE__EFACTORY_INSTANCE

  The feature id for the 'EFactory Instance' reference.

  See Also:
    Constant Field Values

### EPACKAGE__ECLASSIFIERS

    static final int EPACKAGE__ECLASSIFIERS

  The feature id for the 'EClassifiers' containment reference list.

  See Also:
    Constant Field Values

### EPACKAGE__ESUBPACKAGES

    static final int EPACKAGE__ESUBPACKAGES

  The feature id for the 'ESubpackages' containment reference list.

  See Also:
    Constant Field Values

### EPACKAGE__ESUPER_PACKAGE

    static final int EPACKAGE__ESUPER_PACKAGE

  The feature id for the 'ESuper Package' container reference.

  See Also:
    Constant Field Values

### EPACKAGE_FEATURE_COUNT

    static final int EPACKAGE_FEATURE_COUNT

  The number of structural features of the 'EPackage' class.

  See Also:
    Constant Field Values

### EPARAMETER__EANNOTATIONS

    static final int EPARAMETER__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### EPARAMETER__NAME

    static final int EPARAMETER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### EPARAMETER__ORDERED

    static final int EPARAMETER__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### EPARAMETER__UNIQUE

    static final int EPARAMETER__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### EPARAMETER__LOWER_BOUND

    static final int EPARAMETER__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### EPARAMETER__UPPER_BOUND

    static final int EPARAMETER__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### EPARAMETER__MANY

    static final int EPARAMETER__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### EPARAMETER__REQUIRED

    static final int EPARAMETER__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### EPARAMETER__ETYPE

    static final int EPARAMETER__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### EPARAMETER__EGENERIC_TYPE

    static final int EPARAMETER__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### EPARAMETER__EOPERATION

    static final int EPARAMETER__EOPERATION

  The feature id for the 'EOperation' container reference.

  See Also:
    Constant Field Values

### EPARAMETER_FEATURE_COUNT

    static final int EPARAMETER_FEATURE_COUNT

  The number of structural features of the 'EParameter' class.

  See Also:
    Constant Field Values

### EREFERENCE__EANNOTATIONS

    static final int EREFERENCE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### EREFERENCE__NAME

    static final int EREFERENCE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### EREFERENCE__ORDERED

    static final int EREFERENCE__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### EREFERENCE__UNIQUE

    static final int EREFERENCE__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### EREFERENCE__LOWER_BOUND

    static final int EREFERENCE__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### EREFERENCE__UPPER_BOUND

    static final int EREFERENCE__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### EREFERENCE__MANY

    static final int EREFERENCE__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### EREFERENCE__REQUIRED

    static final int EREFERENCE__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### EREFERENCE__ETYPE

    static final int EREFERENCE__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### EREFERENCE__EGENERIC_TYPE

    static final int EREFERENCE__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### EREFERENCE__CHANGEABLE

    static final int EREFERENCE__CHANGEABLE

  The feature id for the 'Changeable' attribute.

  See Also:
    Constant Field Values

### EREFERENCE__VOLATILE

    static final int EREFERENCE__VOLATILE

  The feature id for the 'Volatile' attribute.

  See Also:
    Constant Field Values

### EREFERENCE__TRANSIENT

    static final int EREFERENCE__TRANSIENT

  The feature id for the 'Transient' attribute.

  See Also:
    Constant Field Values

### EREFERENCE__DEFAULT_VALUE_LITERAL

    static final int EREFERENCE__DEFAULT_VALUE_LITERAL

  The feature id for the 'Default Value Literal' attribute.

  See Also:
    Constant Field Values

### EREFERENCE__DEFAULT_VALUE

    static final int EREFERENCE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### EREFERENCE__UNSETTABLE

    static final int EREFERENCE__UNSETTABLE

  The feature id for the 'Unsettable' attribute.

  See Also:
    Constant Field Values

### EREFERENCE__DERIVED

    static final int EREFERENCE__DERIVED

  The feature id for the 'Derived' attribute.

  See Also:
    Constant Field Values

### EREFERENCE__ECONTAINING_CLASS

    static final int EREFERENCE__ECONTAINING_CLASS

  The feature id for the 'EContaining Class' container reference.

  See Also:
    Constant Field Values

### EREFERENCE__CONTAINMENT

    static final int EREFERENCE__CONTAINMENT

  The feature id for the 'Containment' attribute.

  See Also:
    Constant Field Values

### EREFERENCE__CONTAINER

    static final int EREFERENCE__CONTAINER

  The feature id for the 'Container' attribute.

  See Also:
    Constant Field Values

### EREFERENCE__RESOLVE_PROXIES

    static final int EREFERENCE__RESOLVE_PROXIES

  The feature id for the 'Resolve Proxies' attribute.

  See Also:
    Constant Field Values

### EREFERENCE__EOPPOSITE

    static final int EREFERENCE__EOPPOSITE

  The feature id for the 'EOpposite' reference.

  See Also:
    Constant Field Values

### EREFERENCE__EREFERENCE_TYPE

    static final int EREFERENCE__EREFERENCE_TYPE

  The feature id for the 'EReference Type' reference.

  See Also:
    Constant Field Values

### EREFERENCE__EKEYS

    static final int EREFERENCE__EKEYS

  The feature id for the 'EKeys' reference list.

  See Also:
    Constant Field Values

### EREFERENCE_FEATURE_COUNT

    static final int EREFERENCE_FEATURE_COUNT

  The number of structural features of the 'EReference' class.

  See Also:
    Constant Field Values

### ESTRING_TO_STRING_MAP_ENTRY

    static final int ESTRING_TO_STRING_MAP_ENTRY

  The meta object id for the '`EString To String Map Entry`' class.

  See Also:
    `EStringToStringMapEntryImpl`, `EcorePackageImpl.getEStringToStringMapEntry()`, Constant Field Values

### ESTRING_TO_STRING_MAP_ENTRY__KEY

    static final int ESTRING_TO_STRING_MAP_ENTRY__KEY

  The feature id for the 'Key' attribute.

  See Also:
    Constant Field Values

### ESTRING_TO_STRING_MAP_ENTRY__VALUE

    static final int ESTRING_TO_STRING_MAP_ENTRY__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### ESTRING_TO_STRING_MAP_ENTRY_FEATURE_COUNT

    static final int ESTRING_TO_STRING_MAP_ENTRY_FEATURE_COUNT

  The number of structural features of the 'EString To String Map Entry' class.

  See Also:
    Constant Field Values

### EGENERIC_TYPE

    static final int EGENERIC_TYPE

  The meta object id for the '`EGeneric Type`' class.

  See Also:
    `EGenericTypeImpl`, `EcorePackageImpl.getEGenericType()`, Constant Field Values

### EGENERIC_TYPE__EUPPER_BOUND

    static final int EGENERIC_TYPE__EUPPER_BOUND

  The feature id for the 'EUpper Bound' containment reference.

  See Also:
    Constant Field Values

### EGENERIC_TYPE__ETYPE_ARGUMENTS

    static final int EGENERIC_TYPE__ETYPE_ARGUMENTS

  The feature id for the 'EType Arguments' containment reference list.

  See Also:
    Constant Field Values

### EGENERIC_TYPE__ERAW_TYPE

    static final int EGENERIC_TYPE__ERAW_TYPE

  The feature id for the 'ERaw Type' reference.

  See Also:
    Constant Field Values

### EGENERIC_TYPE__ELOWER_BOUND

    static final int EGENERIC_TYPE__ELOWER_BOUND

  The feature id for the 'ELower Bound' containment reference.

  See Also:
    Constant Field Values

### EGENERIC_TYPE__ETYPE_PARAMETER

    static final int EGENERIC_TYPE__ETYPE_PARAMETER

  The feature id for the 'EType Parameter' reference.

  See Also:
    Constant Field Values

### EGENERIC_TYPE__ECLASSIFIER

    static final int EGENERIC_TYPE__ECLASSIFIER

  The feature id for the 'EClassifier' reference.

  See Also:
    Constant Field Values

### EGENERIC_TYPE_FEATURE_COUNT

    static final int EGENERIC_TYPE_FEATURE_COUNT

  The number of structural features of the 'EGeneric Type' class.

  See Also:
    Constant Field Values

### ETYPE_PARAMETER

    static final int ETYPE_PARAMETER

  The meta object id for the '`EType Parameter`' class.

  See Also:
    `ETypeParameterImpl`, `EcorePackageImpl.getETypeParameter()`, Constant Field Values

### ETYPE_PARAMETER__EANNOTATIONS

    static final int ETYPE_PARAMETER__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### ETYPE_PARAMETER__NAME

    static final int ETYPE_PARAMETER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ETYPE_PARAMETER__EBOUNDS

    static final int ETYPE_PARAMETER__EBOUNDS

  The feature id for the 'EBounds' containment reference list.

  See Also:
    Constant Field Values

### ETYPE_PARAMETER_FEATURE_COUNT

    static final int ETYPE_PARAMETER_FEATURE_COUNT

  The number of structural features of the 'EType Parameter' class.

  See Also:
    Constant Field Values

### EBIG_DECIMAL

    static final int EBIG_DECIMAL

  The meta object id for the 'EBig Decimal' data type.

  See Also:
    `BigDecimal`, `EcorePackageImpl.getEBigDecimal()`, Constant Field Values

### EBIG_INTEGER

    static final int EBIG_INTEGER

  The meta object id for the 'EBig Integer' data type.

  See Also:
    `BigInteger`, `EcorePackageImpl.getEBigInteger()`, Constant Field Values

### EE_LIST

    static final int EE_LIST

  The meta object id for the 'EE List' data type.

  See Also:
    `EList`, `EcorePackageImpl.getEEList()`, Constant Field Values

### ERESOURCE

    static final int ERESOURCE

  The meta object id for the 'EResource' data type.

  See Also:
    `Resource`, `EcorePackageImpl.getEResource()`, Constant Field Values

### ERESOURCE_SET

    static final int ERESOURCE_SET

  The meta object id for the 'EResource Set' data type.

  See Also:
    `ResourceSet`, `EcorePackageImpl.getEResourceSet()`, Constant Field Values

### EBOOLEAN_OBJECT

    static final int EBOOLEAN_OBJECT

  The meta object id for the 'EBoolean Object' data type.

  See Also:
    `Boolean`, `EcorePackageImpl.getEBooleanObject()`, Constant Field Values

### ECHARACTER_OBJECT

    static final int ECHARACTER_OBJECT

  The meta object id for the 'ECharacter Object' data type.

  See Also:
    `Character`, `EcorePackageImpl.getECharacterObject()`, Constant Field Values

### EDATE

    static final int EDATE

  The meta object id for the 'EDate' data type.

  See Also:
    `Date`, `EcorePackageImpl.getEDate()`, Constant Field Values

### EDIAGNOSTIC_CHAIN

    static final int EDIAGNOSTIC_CHAIN

  The meta object id for the 'EDiagnostic Chain' data type.

  See Also:
    `DiagnosticChain`, `EcorePackageImpl.getEDiagnosticChain()`, Constant Field Values

### EDOUBLE_OBJECT

    static final int EDOUBLE_OBJECT

  The meta object id for the 'EDouble Object' data type.

  See Also:
    `Double`, `EcorePackageImpl.getEDoubleObject()`, Constant Field Values

### EFLOAT_OBJECT

    static final int EFLOAT_OBJECT

  The meta object id for the 'EFloat Object' data type.

  See Also:
    `Float`, `EcorePackageImpl.getEFloatObject()`, Constant Field Values

### EINTEGER_OBJECT

    static final int EINTEGER_OBJECT

  The meta object id for the 'EInteger Object' data type.

  See Also:
    `Integer`, `EcorePackageImpl.getEIntegerObject()`, Constant Field Values

### EBOOLEAN

    static final int EBOOLEAN

  The meta object id for the 'EBoolean' data type.

  See Also:
    `EcorePackageImpl.getEBoolean()`, Constant Field Values

### EBYTE_OBJECT

    static final int EBYTE_OBJECT

  The meta object id for the 'EByte Object' data type.

  See Also:
    `Byte`, `EcorePackageImpl.getEByteObject()`, Constant Field Values

### EBYTE

    static final int EBYTE

  The meta object id for the 'EByte' data type.

  See Also:
    `EcorePackageImpl.getEByte()`, Constant Field Values

### EBYTE_ARRAY

    static final int EBYTE_ARRAY

  The meta object id for the 'EByte Array' data type.

  See Also:
    `EcorePackageImpl.getEByteArray()`, Constant Field Values

### ECHAR

    static final int ECHAR

  The meta object id for the 'EChar' data type.

  See Also:
    `EcorePackageImpl.getEChar()`, Constant Field Values

### EDOUBLE

    static final int EDOUBLE

  The meta object id for the 'EDouble' data type.

  See Also:
    `EcorePackageImpl.getEDouble()`, Constant Field Values

### EFLOAT

    static final int EFLOAT

  The meta object id for the 'EFloat' data type.

  See Also:
    `EcorePackageImpl.getEFloat()`, Constant Field Values

### EINT

    static final int EINT

  The meta object id for the 'EInt' data type.

  See Also:
    `EcorePackageImpl.getEInt()`, Constant Field Values

### EJAVA_CLASS

    static final int EJAVA_CLASS

  The meta object id for the 'EJava Class' data type.

  See Also:
    `Class`, `EcorePackageImpl.getEJavaClass()`, Constant Field Values

### EJAVA_OBJECT

    static final int EJAVA_OBJECT

  The meta object id for the 'EJava Object' data type.

  See Also:
    `Object`, `EcorePackageImpl.getEJavaObject()`, Constant Field Values

### ELONG_OBJECT

    static final int ELONG_OBJECT

  The meta object id for the 'ELong Object' data type.

  See Also:
    `Long`, `EcorePackageImpl.getELongObject()`, Constant Field Values

### EMAP

    static final int EMAP

  The meta object id for the 'EMap' data type.

  See Also:
    `Map`, `EcorePackageImpl.getEMap()`, Constant Field Values

### ESHORT_OBJECT

    static final int ESHORT_OBJECT

  The meta object id for the 'EShort Object' data type.

  See Also:
    `Short`, `EcorePackageImpl.getEShortObject()`, Constant Field Values

### ELONG

    static final int ELONG

  The meta object id for the 'ELong' data type.

  See Also:
    `EcorePackageImpl.getELong()`, Constant Field Values

### ESHORT

    static final int ESHORT

  The meta object id for the 'EShort' data type.

  See Also:
    `EcorePackageImpl.getEShort()`, Constant Field Values

### ETREE_ITERATOR

    static final int ETREE_ITERATOR

  The meta object id for the 'ETree Iterator' data type.

  See Also:
    `TreeIterator`, `EcorePackageImpl.getETreeIterator()`, Constant Field Values

### EFEATURE_MAP_ENTRY

    static final int EFEATURE_MAP_ENTRY

  The meta object id for the 'EFeature Map Entry' data type.

  See Also:
    `FeatureMap.Entry`, `EcorePackageImpl.getEFeatureMapEntry()`, Constant Field Values

### EENUMERATOR

    static final int EENUMERATOR

  The meta object id for the 'EEnumerator' data type.

  See Also:
    `Enumerator`, `EcorePackageImpl.getEEnumerator()`, Constant Field Values

### EFEATURE_MAP

    static final int EFEATURE_MAP

  The meta object id for the 'EFeature Map' data type.

  See Also:
    `FeatureMap`, `EcorePackageImpl.getEFeatureMap()`, Constant Field Values

### ESTRING

    static final int ESTRING

  The meta object id for the 'EString' data type.

  See Also:
    `String`, `EcorePackageImpl.getEString()`, Constant Field Values

### _INTERNAL_BOOTSTRAP

    static final boolean _INTERNAL_BOOTSTRAP

Method Detail

### getEAttribute

    EClass getEAttribute()

  Returns the meta object for class '`EAttribute`'.

  Returns:
    the meta object for class 'EAttribute'.
  See Also:
    `EAttribute`

### getEAttribute_ID

    EAttribute getEAttribute_ID()

  Returns the meta object for the attribute '`ID`'.

  Returns:
    the meta object for the attribute 'ID'.
  See Also:
    `EAttribute.isID()`, `getEAttribute()`

### getEAttribute_EAttributeType

    EReference getEAttribute_EAttributeType()

  Returns the meta object for the reference '`EAttribute Type`'.

  Returns:
    the meta object for the reference 'EAttribute Type'.
  See Also:
    `EAttribute.getEAttributeType()`, `getEAttribute()`

### getEAnnotation

    EClass getEAnnotation()

  Returns the meta object for class '`EAnnotation`'.

  Returns:
    the meta object for class 'EAnnotation'.
  See Also:
    `EAnnotation`

### getEAnnotation_Source

    EAttribute getEAnnotation_Source()

  Returns the meta object for the attribute '`Source`'.

  Returns:
    the meta object for the attribute 'Source'.
  See Also:
    `EAnnotation.getSource()`, `getEAnnotation()`

### getEAnnotation_Details

    EReference getEAnnotation_Details()

  Returns the meta object for the map '`Details`'.

  Returns:
    the meta object for the map 'Details'.
  See Also:
    `EAnnotation.getDetails()`, `getEAnnotation()`

### getEAnnotation_EModelElement

    EReference getEAnnotation_EModelElement()

  Returns the meta object for the container reference '`EModel Element`'.

  Returns:
    the meta object for the container reference 'EModel Element'.
  See Also:
    `EAnnotation.getEModelElement()`, `getEAnnotation()`

### getEAnnotation_Contents

    EReference getEAnnotation_Contents()

  Returns the meta object for the containment reference list '`Contents`'.

  Returns:
    the meta object for the containment reference list 'Contents'.
  See Also:
    `EAnnotation.getContents()`, `getEAnnotation()`

### getEAnnotation_References

    EReference getEAnnotation_References()

  Returns the meta object for the reference list '`References`'.

  Returns:
    the meta object for the reference list 'References'.
  See Also:
    `EAnnotation.getReferences()`, `getEAnnotation()`

### getEClass

    EClass getEClass()

  Returns the meta object for class '`EClass`'.

  Returns:
    the meta object for class 'EClass'.
  See Also:
    `EClass`

### getEClass_Abstract

    EAttribute getEClass_Abstract()

  Returns the meta object for the attribute '`Abstract`'.

  Returns:
    the meta object for the attribute 'Abstract'.
  See Also:
    `EClass.isAbstract()`, `getEClass()`

### getEClass_Interface

    EAttribute getEClass_Interface()

  Returns the meta object for the attribute '`Interface`'.

  Returns:
    the meta object for the attribute 'Interface'.
  See Also:
    `EClass.isInterface()`, `getEClass()`

### getEClass_ESuperTypes

    EReference getEClass_ESuperTypes()

  Returns the meta object for the reference list '`ESuper Types`'.

  Returns:
    the meta object for the reference list 'ESuper Types'.
  See Also:
    `EClass.getESuperTypes()`, `getEClass()`

### getEClass_EOperations

    EReference getEClass_EOperations()

  Returns the meta object for the containment reference list '`EOperations`'.

  Returns:
    the meta object for the containment reference list 'EOperations'.
  See Also:
    `EClass.getEOperations()`, `getEClass()`

### getEClass_EAllAttributes

    EReference getEClass_EAllAttributes()

  Returns the meta object for the reference list '`EAll Attributes`'.

  Returns:
    the meta object for the reference list 'EAll Attributes'.
  See Also:
    `EClass.getEAllAttributes()`, `getEClass()`

### getEClass_EAllReferences

    EReference getEClass_EAllReferences()

  Returns the meta object for the reference list '`EAll References`'.

  Returns:
    the meta object for the reference list 'EAll References'.
  See Also:
    `EClass.getEAllReferences()`, `getEClass()`

### getEClass_EReferences

    EReference getEClass_EReferences()

  Returns the meta object for the reference list '`EReferences`'.

  Returns:
    the meta object for the reference list 'EReferences'.
  See Also:
    `EClass.getEReferences()`, `getEClass()`

### getEClass_EAttributes

    EReference getEClass_EAttributes()

  Returns the meta object for the reference list '`EAttributes`'.

  Returns:
    the meta object for the reference list 'EAttributes'.
  See Also:
    `EClass.getEAttributes()`, `getEClass()`

### getEClass_EAllContainments

    EReference getEClass_EAllContainments()

  Returns the meta object for the reference list '`EAll Containments`'.

  Returns:
    the meta object for the reference list 'EAll Containments'.
  See Also:
    `EClass.getEAllContainments()`, `getEClass()`

### getEClass_EAllOperations

    EReference getEClass_EAllOperations()

  Returns the meta object for the reference list '`EAll Operations`'.

  Returns:
    the meta object for the reference list 'EAll Operations'.
  See Also:
    `EClass.getEAllOperations()`, `getEClass()`

### getEClass_EAllStructuralFeatures

    EReference getEClass_EAllStructuralFeatures()

  Returns the meta object for the reference list '`EAll Structural Features`'.

  Returns:
    the meta object for the reference list 'EAll Structural Features'.
  See Also:
    `EClass.getEAllStructuralFeatures()`, `getEClass()`

### getEClass_EAllSuperTypes

    EReference getEClass_EAllSuperTypes()

  Returns the meta object for the reference list '`EAll Super Types`'.

  Returns:
    the meta object for the reference list 'EAll Super Types'.
  See Also:
    `EClass.getEAllSuperTypes()`, `getEClass()`

### getEClass_EIDAttribute

    EReference getEClass_EIDAttribute()

  Returns the meta object for the reference '`EID Attribute`'.

  Returns:
    the meta object for the reference 'EID Attribute'.
  See Also:
    `EClass.getEIDAttribute()`, `getEClass()`

### getEClass_EStructuralFeatures

    EReference getEClass_EStructuralFeatures()

  Returns the meta object for the containment reference list '`EStructural Features`'.

  Returns:
    the meta object for the containment reference list 'EStructural Features'.
  See Also:
    `EClass.getEStructuralFeatures()`, `getEClass()`

### getEClass_EGenericSuperTypes

    EReference getEClass_EGenericSuperTypes()

  Returns the meta object for the containment reference list '`EGeneric Super Types`'.

  Returns:
    the meta object for the containment reference list 'EGeneric Super Types'.
  See Also:
    `EClass.getEGenericSuperTypes()`, `getEClass()`

### getEClass_EAllGenericSuperTypes

    EReference getEClass_EAllGenericSuperTypes()

  Returns the meta object for the reference list '`EAll Generic Super Types`'.

  Returns:
    the meta object for the reference list 'EAll Generic Super Types'.
  See Also:
    `EClass.getEAllGenericSuperTypes()`, `getEClass()`

### getEDataType

    EClass getEDataType()

  Returns the meta object for class '`EData Type`'.

  Returns:
    the meta object for class 'EData Type'.
  See Also:
    `EDataType`

### getEDataType_Serializable

    EAttribute getEDataType_Serializable()

  Returns the meta object for the attribute '`Serializable`'.

  Returns:
    the meta object for the attribute 'Serializable'.
  See Also:
    `EDataType.isSerializable()`, `getEDataType()`

### getEEnum

    EClass getEEnum()

  Returns the meta object for class '`EEnum`'.

  Returns:
    the meta object for class 'EEnum'.
  See Also:
    `EEnum`

### getEEnum_ELiterals

    EReference getEEnum_ELiterals()

  Returns the meta object for the containment reference list '`ELiterals`'.

  Returns:
    the meta object for the containment reference list 'ELiterals'.
  See Also:
    `EEnum.getELiterals()`, `getEEnum()`

### getEEnumLiteral

    EClass getEEnumLiteral()

  Returns the meta object for class '`EEnum Literal`'.

  Returns:
    the meta object for class 'EEnum Literal'.
  See Also:
    `EEnumLiteral`

### getEEnumLiteral_Value

    EAttribute getEEnumLiteral_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `EEnumLiteral.getValue()`, `getEEnumLiteral()`

### getEEnumLiteral_Instance

    EAttribute getEEnumLiteral_Instance()

  Returns the meta object for the attribute '`Instance`'.

  Returns:
    the meta object for the attribute 'Instance'.
  See Also:
    `EEnumLiteral.getInstance()`, `getEEnumLiteral()`

### getEEnumLiteral_Literal

    EAttribute getEEnumLiteral_Literal()

  Returns the meta object for the attribute '`Literal`'.

  Returns:
    the meta object for the attribute 'Literal'.
  See Also:
    `EEnumLiteral.getLiteral()`, `getEEnumLiteral()`

### getEEnumLiteral_EEnum

    EReference getEEnumLiteral_EEnum()

  Returns the meta object for the container reference '`EEnum`'.

  Returns:
    the meta object for the container reference 'EEnum'.
  See Also:
    `EEnumLiteral.getEEnum()`, `getEEnumLiteral()`

### getEFactory

    EClass getEFactory()

  Returns the meta object for class '`EFactory`'.

  Returns:
    the meta object for class 'EFactory'.
  See Also:
    `EFactory`

### getEFactory_EPackage

    EReference getEFactory_EPackage()

  Returns the meta object for the reference '`EPackage`'.

  Returns:
    the meta object for the reference 'EPackage'.
  See Also:
    `EFactory.getEPackage()`, `getEFactory()`

### getEClassifier

    EClass getEClassifier()

  Returns the meta object for class '`EClassifier`'.

  Returns:
    the meta object for class 'EClassifier'.
  See Also:
    `EClassifier`

### getEClassifier_InstanceClassName

    EAttribute getEClassifier_InstanceClassName()

  Returns the meta object for the attribute '`Instance Class Name`'.

  Returns:
    the meta object for the attribute 'Instance Class Name'.
  See Also:
    `EClassifier.getInstanceClassName()`, `getEClassifier()`

### getEClassifier_InstanceClass

    EAttribute getEClassifier_InstanceClass()

  Returns the meta object for the attribute '`Instance Class`'.

  Returns:
    the meta object for the attribute 'Instance Class'.
  See Also:
    `EClassifier.getInstanceClass()`, `getEClassifier()`

### getEClassifier_DefaultValue

    EAttribute getEClassifier_DefaultValue()

  Returns the meta object for the attribute '`Default Value`'.

  Returns:
    the meta object for the attribute 'Default Value'.
  See Also:
    `EClassifier.getDefaultValue()`, `getEClassifier()`

### getEClassifier_InstanceTypeName

    EAttribute getEClassifier_InstanceTypeName()

  Returns the meta object for the attribute '`Instance Type Name`'.

  Returns:
    the meta object for the attribute 'Instance Type Name'.
  See Also:
    `EClassifier.getInstanceTypeName()`, `getEClassifier()`

### getEClassifier_EPackage

    EReference getEClassifier_EPackage()

  Returns the meta object for the container reference '`EPackage`'.

  Returns:
    the meta object for the container reference 'EPackage'.
  See Also:
    `EClassifier.getEPackage()`, `getEClassifier()`

### getEClassifier_ETypeParameters

    EReference getEClassifier_ETypeParameters()

  Returns the meta object for the containment reference list '`EType Parameters`'.

  Returns:
    the meta object for the containment reference list 'EType Parameters'.
  See Also:
    `EClassifier.getETypeParameters()`, `getEClassifier()`

### getEModelElement

    EClass getEModelElement()

  Returns the meta object for class '`EModel Element`'.

  Returns:
    the meta object for class 'EModel Element'.
  See Also:
    `EModelElement`

### getEModelElement_EAnnotations

    EReference getEModelElement_EAnnotations()

  Returns the meta object for the containment reference list '`EAnnotations`'.

  Returns:
    the meta object for the containment reference list 'EAnnotations'.
  See Also:
    `EModelElement.getEAnnotations()`, `getEModelElement()`

### getENamedElement

    EClass getENamedElement()

  Returns the meta object for class '`ENamed Element`'.

  Returns:
    the meta object for class 'ENamed Element'.
  See Also:
    `ENamedElement`

### getENamedElement_Name

    EAttribute getENamedElement_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `ENamedElement.getName()`, `getENamedElement()`

### getEObject

    EClass getEObject()

  Returns the meta object for class '`EObject`'.

  Returns:
    the meta object for class 'EObject'.
  See Also:
    `EObject`

### getEOperation

    EClass getEOperation()

  Returns the meta object for class '`EOperation`'.

  Returns:
    the meta object for class 'EOperation'.
  See Also:
    `EOperation`

### getEOperation_EContainingClass

    EReference getEOperation_EContainingClass()

  Returns the meta object for the container reference '`EContaining Class`'.

  Returns:
    the meta object for the container reference 'EContaining Class'.
  See Also:
    `EOperation.getEContainingClass()`, `getEOperation()`

### getEOperation_EParameters

    EReference getEOperation_EParameters()

  Returns the meta object for the containment reference list '`EParameters`'.

  Returns:
    the meta object for the containment reference list 'EParameters'.
  See Also:
    `EOperation.getEParameters()`, `getEOperation()`

### getEOperation_EExceptions

    EReference getEOperation_EExceptions()

  Returns the meta object for the reference list '`EExceptions`'.

  Returns:
    the meta object for the reference list 'EExceptions'.
  See Also:
    `EOperation.getEExceptions()`, `getEOperation()`

### getEOperation_EGenericExceptions

    EReference getEOperation_EGenericExceptions()

  Returns the meta object for the containment reference list '`EGeneric Exceptions`'.

  Returns:
    the meta object for the containment reference list 'EGeneric Exceptions'.
  See Also:
    `EOperation.getEGenericExceptions()`, `getEOperation()`

### getEOperation_ETypeParameters

    EReference getEOperation_ETypeParameters()

  Returns the meta object for the containment reference list '`EType Parameters`'.

  Returns:
    the meta object for the containment reference list 'EType Parameters'.
  See Also:
    `EOperation.getETypeParameters()`, `getEOperation()`

### getEPackage

    EClass getEPackage()

  Returns the meta object for class '`EPackage`'.

  Returns:
    the meta object for class 'EPackage'.
  See Also:
    `EPackage`

### getEPackage_NsURI

    EAttribute getEPackage_NsURI()

  Returns the meta object for the attribute '`Ns URI`'.

  Returns:
    the meta object for the attribute 'Ns URI'.
  See Also:
    `EPackage.getNsURI()`, `getEPackage()`

### getEPackage_NsPrefix

    EAttribute getEPackage_NsPrefix()

  Returns the meta object for the attribute '`Ns Prefix`'.

  Returns:
    the meta object for the attribute 'Ns Prefix'.
  See Also:
    `EPackage.getNsPrefix()`, `getEPackage()`

### getEPackage_EFactoryInstance

    EReference getEPackage_EFactoryInstance()

  Returns the meta object for the reference '`EFactory Instance`'.

  Returns:
    the meta object for the reference 'EFactory Instance'.
  See Also:
    `EPackage.getEFactoryInstance()`, `getEPackage()`

### getEPackage_EClassifiers

    EReference getEPackage_EClassifiers()

  Returns the meta object for the containment reference list '`EClassifiers`'.

  Returns:
    the meta object for the containment reference list 'EClassifiers'.
  See Also:
    `EPackage.getEClassifiers()`, `getEPackage()`

### getEPackage_ESubpackages

    EReference getEPackage_ESubpackages()

  Returns the meta object for the containment reference list '`ESubpackages`'.

  Returns:
    the meta object for the containment reference list 'ESubpackages'.
  See Also:
    `EPackage.getESubpackages()`, `getEPackage()`

### getEPackage_ESuperPackage

    EReference getEPackage_ESuperPackage()

  Returns the meta object for the container reference '`ESuper Package`'.

  Returns:
    the meta object for the container reference 'ESuper Package'.
  See Also:
    `EPackage.getESuperPackage()`, `getEPackage()`

### getEParameter

    EClass getEParameter()

  Returns the meta object for class '`EParameter`'.

  Returns:
    the meta object for class 'EParameter'.
  See Also:
    `EParameter`

### getEParameter_EOperation

    EReference getEParameter_EOperation()

  Returns the meta object for the container reference '`EOperation`'.

  Returns:
    the meta object for the container reference 'EOperation'.
  See Also:
    `EParameter.getEOperation()`, `getEParameter()`

### getEReference

    EClass getEReference()

  Returns the meta object for class '`EReference`'.

  Returns:
    the meta object for class 'EReference'.
  See Also:
    `EReference`

### getEReference_Containment

    EAttribute getEReference_Containment()

  Returns the meta object for the attribute '`Containment`'.

  Returns:
    the meta object for the attribute 'Containment'.
  See Also:
    `EReference.isContainment()`, `getEReference()`

### getEReference_Container

    EAttribute getEReference_Container()

  Returns the meta object for the attribute '`Container`'.

  Returns:
    the meta object for the attribute 'Container'.
  See Also:
    `EReference.isContainer()`, `getEReference()`

### getEReference_ResolveProxies

    EAttribute getEReference_ResolveProxies()

  Returns the meta object for the attribute '`Resolve Proxies`'.

  Returns:
    the meta object for the attribute 'Resolve Proxies'.
  See Also:
    `EReference.isResolveProxies()`, `getEReference()`

### getEReference_EOpposite

    EReference getEReference_EOpposite()

  Returns the meta object for the reference '`EOpposite`'.

  Returns:
    the meta object for the reference 'EOpposite'.
  See Also:
    `EReference.getEOpposite()`, `getEReference()`

### getEReference_EReferenceType

    EReference getEReference_EReferenceType()

  Returns the meta object for the reference '`EReference Type`'.

  Returns:
    the meta object for the reference 'EReference Type'.
  See Also:
    `EReference.getEReferenceType()`, `getEReference()`

### getEReference_EKeys

    EReference getEReference_EKeys()

  Returns the meta object for the reference list '`EKeys`'.

  Returns:
    the meta object for the reference list 'EKeys'.
  See Also:
    `EReference.getEKeys()`, `getEReference()`

### getEStructuralFeature

    EClass getEStructuralFeature()

  Returns the meta object for class '`EStructural Feature`'.

  Returns:
    the meta object for class 'EStructural Feature'.
  See Also:
    `EStructuralFeature`

### getEStructuralFeature_Transient

    EAttribute getEStructuralFeature_Transient()

  Returns the meta object for the attribute '`Transient`'.

  Returns:
    the meta object for the attribute 'Transient'.
  See Also:
    `EStructuralFeature.isTransient()`, `getEStructuralFeature()`

### getEStructuralFeature_Volatile

    EAttribute getEStructuralFeature_Volatile()

  Returns the meta object for the attribute '`Volatile`'.

  Returns:
    the meta object for the attribute 'Volatile'.
  See Also:
    `EStructuralFeature.isVolatile()`, `getEStructuralFeature()`

### getEStructuralFeature_Changeable

    EAttribute getEStructuralFeature_Changeable()

  Returns the meta object for the attribute '`Changeable`'.

  Returns:
    the meta object for the attribute 'Changeable'.
  See Also:
    `EStructuralFeature.isChangeable()`, `getEStructuralFeature()`

### getEStructuralFeature_DefaultValueLiteral

    EAttribute getEStructuralFeature_DefaultValueLiteral()

  Returns the meta object for the attribute '`Default Value Literal`'.

  Returns:
    the meta object for the attribute 'Default Value Literal'.
  See Also:
    `EStructuralFeature.getDefaultValueLiteral()`, `getEStructuralFeature()`

### getEStructuralFeature_DefaultValue

    EAttribute getEStructuralFeature_DefaultValue()

  Returns the meta object for the attribute '`Default Value`'.

  Returns:
    the meta object for the attribute 'Default Value'.
  See Also:
    `EStructuralFeature.getDefaultValue()`, `getEStructuralFeature()`

### getEStructuralFeature_Unsettable

    EAttribute getEStructuralFeature_Unsettable()

  Returns the meta object for the attribute '`Unsettable`'.

  Returns:
    the meta object for the attribute 'Unsettable'.
  See Also:
    `EStructuralFeature.isUnsettable()`, `getEStructuralFeature()`

### getEStructuralFeature_Derived

    EAttribute getEStructuralFeature_Derived()

  Returns the meta object for the attribute '`Derived`'.

  Returns:
    the meta object for the attribute 'Derived'.
  See Also:
    `EStructuralFeature.isDerived()`, `getEStructuralFeature()`

### getEStructuralFeature_EContainingClass

    EReference getEStructuralFeature_EContainingClass()

  Returns the meta object for the container reference '`EContaining Class`'.

  Returns:
    the meta object for the container reference 'EContaining Class'.
  See Also:
    `EStructuralFeature.getEContainingClass()`, `getEStructuralFeature()`

### getEStructuralFeature_Unique

    @Deprecated
    EAttribute getEStructuralFeature_Unique()

  Deprecated. replaced by getETypedElement_Unique()

### getEStructuralFeature_LowerBound

    @Deprecated
    EAttribute getEStructuralFeature_LowerBound()

  Deprecated. replaced by getETypedElement_LowerBound()

### getEStructuralFeature_UpperBound

    @Deprecated
    EAttribute getEStructuralFeature_UpperBound()

  Deprecated. replaced by getETypedElement_UpperBound()

### getEStructuralFeature_Many

    @Deprecated
    EAttribute getEStructuralFeature_Many()

  Deprecated. replaced by getETypedElement_Many()

### getEStructuralFeature_Required

    @Deprecated
    EAttribute getEStructuralFeature_Required()

  Deprecated. replaced by getETypedElement_Required()

### getETypedElement

    EClass getETypedElement()

  Returns the meta object for class '`ETyped Element`'.

  Returns:
    the meta object for class 'ETyped Element'.
  See Also:
    `ETypedElement`

### getETypedElement_Ordered

    EAttribute getETypedElement_Ordered()

  Returns the meta object for the attribute '`Ordered`'.

  Returns:
    the meta object for the attribute 'Ordered'.
  See Also:
    `ETypedElement.isOrdered()`, `getETypedElement()`

### getETypedElement_Unique

    EAttribute getETypedElement_Unique()

  Returns the meta object for the attribute '`Unique`'.

  Returns:
    the meta object for the attribute 'Unique'.
  See Also:
    `ETypedElement.isUnique()`, `getETypedElement()`

### getETypedElement_LowerBound

    EAttribute getETypedElement_LowerBound()

  Returns the meta object for the attribute '`Lower Bound`'.

  Returns:
    the meta object for the attribute 'Lower Bound'.
  See Also:
    `ETypedElement.getLowerBound()`, `getETypedElement()`

### getETypedElement_UpperBound

    EAttribute getETypedElement_UpperBound()

  Returns the meta object for the attribute '`Upper Bound`'.

  Returns:
    the meta object for the attribute 'Upper Bound'.
  See Also:
    `ETypedElement.getUpperBound()`, `getETypedElement()`

### getETypedElement_Many

    EAttribute getETypedElement_Many()

  Returns the meta object for the attribute '`Many`'.

  Returns:
    the meta object for the attribute 'Many'.
  See Also:
    `ETypedElement.isMany()`, `getETypedElement()`

### getETypedElement_Required

    EAttribute getETypedElement_Required()

  Returns the meta object for the attribute '`Required`'.

  Returns:
    the meta object for the attribute 'Required'.
  See Also:
    `ETypedElement.isRequired()`, `getETypedElement()`

### getETypedElement_EType

    EReference getETypedElement_EType()

  Returns the meta object for the reference '`EType`'.

  Returns:
    the meta object for the reference 'EType'.
  See Also:
    `ETypedElement.getEType()`, `getETypedElement()`

### getETypedElement_EGenericType

    EReference getETypedElement_EGenericType()

  Returns the meta object for the containment reference '`EGeneric Type`'.

  Returns:
    the meta object for the containment reference 'EGeneric Type'.
  See Also:
    `ETypedElement.getEGenericType()`, `getETypedElement()`

### getEStringToStringMapEntry

    EClass getEStringToStringMapEntry()

  Returns the meta object for class '`EString To String Map Entry`'.

  Returns:
    the meta object for class 'EString To String Map Entry'.
  See Also:
    `Map.Entry`

### getEStringToStringMapEntry_Key

    EAttribute getEStringToStringMapEntry_Key()

  Returns the meta object for the attribute '`Key`'.

  Returns:
    the meta object for the attribute 'Key'.
  See Also:
    `Map.Entry`, `getEStringToStringMapEntry()`

### getEStringToStringMapEntry_Value

    EAttribute getEStringToStringMapEntry_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `Map.Entry`, `getEStringToStringMapEntry()`

### getEGenericType

    EClass getEGenericType()

  Returns the meta object for class '`EGeneric Type`'.

  Returns:
    the meta object for class 'EGeneric Type'.
  See Also:
    `EGenericType`

### getEGenericType_EUpperBound

    EReference getEGenericType_EUpperBound()

  Returns the meta object for the containment reference '`EUpper Bound`'.

  Returns:
    the meta object for the containment reference 'EUpper Bound'.
  See Also:
    `EGenericType.getEUpperBound()`, `getEGenericType()`

### getEGenericType_ETypeArguments

    EReference getEGenericType_ETypeArguments()

  Returns the meta object for the containment reference list '`EType Arguments`'.

  Returns:
    the meta object for the containment reference list 'EType Arguments'.
  See Also:
    `EGenericType.getETypeArguments()`, `getEGenericType()`

### getEGenericType_ERawType

    EReference getEGenericType_ERawType()

  Returns the meta object for the reference '`ERaw Type`'.

  Returns:
    the meta object for the reference 'ERaw Type'.
  See Also:
    `EGenericType.getERawType()`, `getEGenericType()`

### getEGenericType_ELowerBound

    EReference getEGenericType_ELowerBound()

  Returns the meta object for the containment reference '`ELower Bound`'.

  Returns:
    the meta object for the containment reference 'ELower Bound'.
  See Also:
    `EGenericType.getELowerBound()`, `getEGenericType()`

### getEGenericType_ETypeParameter

    EReference getEGenericType_ETypeParameter()

  Returns the meta object for the reference '`EType Parameter`'.

  Returns:
    the meta object for the reference 'EType Parameter'.
  See Also:
    `EGenericType.getETypeParameter()`, `getEGenericType()`

### getEGenericType_EClassifier

    EReference getEGenericType_EClassifier()

  Returns the meta object for the reference '`EClassifier`'.

  Returns:
    the meta object for the reference 'EClassifier'.
  See Also:
    `EGenericType.getEClassifier()`, `getEGenericType()`

### getETypeParameter

    EClass getETypeParameter()

  Returns the meta object for class '`EType Parameter`'.

  Returns:
    the meta object for class 'EType Parameter'.
  See Also:
    `ETypeParameter`

### getETypeParameter_EBounds

    EReference getETypeParameter_EBounds()

  Returns the meta object for the containment reference list '`EBounds`'.

  Returns:
    the meta object for the containment reference list 'EBounds'.
  See Also:
    `ETypeParameter.getEBounds()`, `getETypeParameter()`

### getEBigDecimal

    EDataType getEBigDecimal()

  Returns the meta object for data type '`EBig Decimal`'.

  Returns:
    the meta object for data type 'EBig Decimal'.
  See Also:
    `BigDecimal`

### getEBigInteger

    EDataType getEBigInteger()

  Returns the meta object for data type '`EBig Integer`'.

  Returns:
    the meta object for data type 'EBig Integer'.
  See Also:
    `BigInteger`

### getEEList

    EDataType getEEList()

  Returns the meta object for data type '`EE List`'.

  Returns:
    the meta object for data type 'EE List'.
  See Also:
    `EList`

### getEResource

    EDataType getEResource()

  Returns the meta object for data type '`EResource`'.

  Returns:
    the meta object for data type 'EResource'.
  See Also:
    `Resource`

### getEResourceSet

    EDataType getEResourceSet()

  Returns the meta object for data type '`EResource Set`'.

  Returns:
    the meta object for data type 'EResource Set'.
  See Also:
    `ResourceSet`

### getEBooleanObject

    EDataType getEBooleanObject()

  Returns the meta object for data type '`EBoolean Object`'.

  Returns:
    the meta object for data type 'EBoolean Object'.
  See Also:
    `Boolean`

### getECharacterObject

    EDataType getECharacterObject()

  Returns the meta object for data type '`ECharacter Object`'.

  Returns:
    the meta object for data type 'ECharacter Object'.
  See Also:
    `Character`

### getEDate

    EDataType getEDate()

  Returns the meta object for data type '`EDate`'.

  Returns:
    the meta object for data type 'EDate'.
  See Also:
    `Date`

### getEDiagnosticChain

    EDataType getEDiagnosticChain()

  Returns the meta object for data type '`EDiagnostic Chain`'.

  Returns:
    the meta object for data type 'EDiagnostic Chain'.
  See Also:
    `DiagnosticChain`

### getEDoubleObject

    EDataType getEDoubleObject()

  Returns the meta object for data type '`EDouble Object`'.

  Returns:
    the meta object for data type 'EDouble Object'.
  See Also:
    `Double`

### getEFloatObject

    EDataType getEFloatObject()

  Returns the meta object for data type '`EFloat Object`'.

  Returns:
    the meta object for data type 'EFloat Object'.
  See Also:
    `Float`

### getEIntegerObject

    EDataType getEIntegerObject()

  Returns the meta object for data type '`EInteger Object`'.

  Returns:
    the meta object for data type 'EInteger Object'.
  See Also:
    `Integer`

### getEBoolean

    EDataType getEBoolean()

  Returns the meta object for data type 'EBoolean'.

  Returns:
    the meta object for data type 'EBoolean'.

### getEByteObject

    EDataType getEByteObject()

  Returns the meta object for data type '`EByte Object`'.

  Returns:
    the meta object for data type 'EByte Object'.
  See Also:
    `Byte`

### getEByte

    EDataType getEByte()

  Returns the meta object for data type 'EByte'.

  Returns:
    the meta object for data type 'EByte'.

### getEByteArray

    EDataType getEByteArray()

  Returns the meta object for data type 'EByte Array'.

  Returns:
    the meta object for data type 'EByte Array'.

### getEChar

    EDataType getEChar()

  Returns the meta object for data type 'EChar'.

  Returns:
    the meta object for data type 'EChar'.

### getEDouble

    EDataType getEDouble()

  Returns the meta object for data type 'EDouble'.

  Returns:
    the meta object for data type 'EDouble'.

### getEFloat

    EDataType getEFloat()

  Returns the meta object for data type 'EFloat'.

  Returns:
    the meta object for data type 'EFloat'.

### getEInt

    EDataType getEInt()

  Returns the meta object for data type 'EInt'.

  Returns:
    the meta object for data type 'EInt'.

### getEJavaClass

    EDataType getEJavaClass()

  Returns the meta object for data type '`EJava Class`'.

  Returns:
    the meta object for data type 'EJava Class'.
  See Also:
    `Class`

### getEJavaObject

    EDataType getEJavaObject()

  Returns the meta object for data type '`EJava Object`'.

  Returns:
    the meta object for data type 'EJava Object'.
  See Also:
    `Object`

### getELongObject

    EDataType getELongObject()

  Returns the meta object for data type '`ELong Object`'.

  Returns:
    the meta object for data type 'ELong Object'.
  See Also:
    `Long`

### getEMap

    EDataType getEMap()

  Returns the meta object for data type '`EMap`'.

  Returns:
    the meta object for data type 'EMap'.
  See Also:
    `Map`

### getEShortObject

    EDataType getEShortObject()

  Returns the meta object for data type '`EShort Object`'.

  Returns:
    the meta object for data type 'EShort Object'.
  See Also:
    `Short`

### getELong

    EDataType getELong()

  Returns the meta object for data type 'ELong'.

  Returns:
    the meta object for data type 'ELong'.

### getEShort

    EDataType getEShort()

  Returns the meta object for data type 'EShort'.

  Returns:
    the meta object for data type 'EShort'.

### getETreeIterator

    EDataType getETreeIterator()

  Returns the meta object for data type '`ETree Iterator`'.

  Returns:
    the meta object for data type 'ETree Iterator'.
  See Also:
    `TreeIterator`

### getEFeatureMapEntry

    EDataType getEFeatureMapEntry()

  Returns the meta object for data type '`EFeature Map Entry`'.

  Returns:
    the meta object for data type 'EFeature Map Entry'.
  See Also:
    `FeatureMap.Entry`

### getEEnumerator

    EDataType getEEnumerator()

  Returns the meta object for data type '`EEnumerator`'.

  Returns:
    the meta object for data type 'EEnumerator'.
  See Also:
    `Enumerator`

### getEFeatureMap

    EDataType getEFeatureMap()

  Returns the meta object for data type '`EFeature Map`'.

  Returns:
    the meta object for data type 'EFeature Map'.
  See Also:
    `FeatureMap`

### getEString

    EDataType getEString()

  Returns the meta object for data type '`EString`'.

  Returns:
    the meta object for data type 'EString'.
  See Also:
    `String`

### getEcoreFactory

    EcoreFactory getEcoreFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.